//PocketDecoration v7.0 by TheViictor
// The following code is copyright of TheViictor, licensed under the MIT License

/*
	The MIT License (MIT)

	Copyright (c) 2016 Victor Recio (TheViictor)

	Permission is hereby granted, free of charge, to any person obtaining a copy
	of this software and associated documentation files (the "Software"), to deal
	in the Software without restriction, including without limitation the rights
	to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
	copies of the Software, and to permit persons to whom the Software is
	furnished to do so, subject to the following conditions:

	The above copyright notice and this permission notice shall be included in all
	copies or substantial portions of the Software.

	THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
	IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
	FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
	AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
	LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
	OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
	SOFTWARE.
*/

//Block IDS

var oakWoodBedsideCabinet = 84;
var spruceWoodBedsideCabinet = 130;
var acaciaWoodBedsideCabinet = 137;
var binId = 138;
var oakWoodCabinet = 160;
var spruceWoodCabinet = 176;
var acaciaWoodCabinet = 177;
var ceilingLight = 188;
var choppingBoard = 189;
var cupboard = 190;
var spruceWoodCupboard = 191;
var acaciaWoodCupboard = 192;
var curtains = 200;
var curtainsClosed = 201;
var doorbell = 202;
var fileCabinet = 203;
var fridge = 204;
var gardenLight = 205;
var kitchenCabinet = 206;
var kitchenCounter = 207;
var laptopScreen = 208;
var laptopKeyboard = 209;
var microwave = 210;
var mirror = 211;
var modem = 212;
var mousepad = 213;
var oven = 214;
var ovenRangehoodBottom = 215;
var ovenRangehoodTop = 216;
var present = 217;
var stereo = 218;
var stonePath = 219;
var stoneTable = 220;
var stoneTableLeg = 221;
var television = 222;
var televisionOn = 223;
var oakWoodTable = 224;
var oakWoodTableLeg = 225;
var woodTimber = 226;
var spruceWoodTimber = 227;
var acaciaWoodTimber = 228;


var stainedGlass = 229;

//Item IDS

var oakWoodBedsideCabinetItem = 601;
var spruceWoodBedsideCabinetItem = 602;
var acaciaWoodBedsideCabinetItem = 603;
var binItem = 604;
var oakWoodCabinetItem = 605;
var spruceWoodCabinetItem = 606;
var acaciaWoodCabinetItem = 607;
var ceilingLightItem = 608;
var choppingBoardItem = 609;
var coinItem = 610;
var cupboardItem = 611;
var spruceWoodCupboardItem = 612;
var acaciaWoodCupboardItem = 613;
var curtainsItem = 614;
var doorbellItem = 615;
var fileCabinetItem = 616;
var fridgeItem = 617;
var gardenLightItem = 618;
var kitchenCabinetItem = 619;
var kitchenCounterItem = 620;
var laptopItem = 621;
var microwaveItem = 622;
var mirrorItem = 623;
var modemItem = 624;
var mousepadItem = 625;
var ovenItem = 626;
var ovenRangehoodItem = 627;
var presentItem = 628;
var stereoItem = 629;
var stonePathItem = 630;
var stoneTableItem = 631;
var televisionItem = 632;
var woodenTableItem = 633;
var woodTimberItem = 634;
var spruceWoodTimberItem = 635;
var acaciaWoodTimberItem = 636;

//New Level

function newLevel() {
	clientMessage("§6Thank you for downloading PocketDecoration");
	clientMessage("§6-> §ePocketDecoration v7.0 by TheViictor");
	clientMessage("§6-> §bFollow me on Twitter: §l@theviictor7");
	clientMessage("§6-> §cCheck my YT channel: §lyoutube.com/c/theviictor7");
	}

//Blocks

Block.defineBlock(binId,"Bin",[["stone",0],["bin_top",0],["bin_side",0],["bin_side",0],["bin_side",0],["bin_side",0]],1,false);
Block.setShape(binId,3/16,0.001,3/16,13/16,13/16,13/16);
Block.setLightOpacity(binId,.000001);
Block.setDestroyTime(binId,0.3);
Block.setRenderLayer(binId,BlockRenderLayer.alpha_single_side);

Block.defineBlock(oakWoodCabinet,"Cabinet",[["planks",2],["planks",2],["planks",2],["cabinet",0],["planks",2],["planks",2],
                                            ["planks",2],["planks",2],["planks",2],["planks",2],["planks",2],["cabinet",0],
                                            ["planks",2],["planks",2],["cabinet",0],["planks",2],["planks",2],["planks",2],
                                            ["planks",2],["planks",2],["planks",2],["planks",2],["cabinet",0],["planks",2]],5,false);
Block.setLightOpacity(oakWoodCabinet,.000001);
Block.setDestroyTime(oakWoodCabinet,0.3);

Block.defineBlock(cupboard,"Cupboard",[["planks",2],["planks",2],["planks",2],["cupboard",0],["planks",2],["planks",2],
                                       ["planks",2],["planks",2],["planks",2],["planks",2],["planks",2],["cupboard",0],
                                       ["planks",2],["planks",2],["cupboard",0],["planks",2],["planks",2],["planks",2],
                                       ["planks",2],["planks",2],["planks",2],["planks",2],["cupboard",0],["planks",2]],5,false);
Block.setShape(cupboard,0.001,0.001,0.001,15.99/16,15.99/16,15.99/16);
Block.setLightOpacity(cupboard,.000001);
Block.setDestroyTime(cupboard,0.3);
Block.setRenderLayer(cupboard,BlockRenderLayer.alpha_single_side);

Block.defineBlock(spruceWoodCupboard,"Spruce Wood Cupboard",[["planks",1],["planks",1],["planks",1],["cupboard1",0],["planks",1],["planks",1],
                                                             ["planks",1],["planks",1],["planks",1],["planks",1],["planks",1],["cupboard1",0],
                                                             ["planks",1],["planks",1],["cupboard1",0],["planks",1],["planks",1],["planks",1],
                                                             ["planks",1],["planks",1],["planks",1],["planks",1],["cupboard1",0],["planks",1]],5,false);
Block.setShape(spruceWoodCupboard,0.001,0.001,0.001,15.99/16,15.99/16,15.99/16);
Block.setLightOpacity(spruceWoodCupboard,.000001);
Block.setDestroyTime(spruceWoodCupboard,0.3);
Block.setRenderLayer(spruceWoodCupboard,BlockRenderLayer.alpha_single_side);

Block.defineBlock(acaciaWoodCupboard,"Acacia Woood Cupboard",[["planks",4],["planks",4],["planks",4],["cupboard2",0],["planks",4],["planks",4],
                                                              ["planks",4],["planks",4],["planks",4],["planks",4],["planks",4],["cupboard2",0],
                                                              ["planks",4],["planks",4],["cupboard2",0],["planks",4],["planks",4],["planks",4],
                                                              ["planks",4],["planks",4],["planks",4],["planks",4],["cupboard2",0],["planks",4]],5,false);
Block.setShape(acaciaWoodCupboard,0.001,0.001,0.001,15.99/16,15.99/16,15.99/16);
Block.setLightOpacity(acaciaWoodCupboard,.000001);
Block.setDestroyTime(acaciaWoodCupboard,0.3);
Block.setRenderLayer(acaciaWoodCupboard,BlockRenderLayer.alpha_single_side);

Block.defineBlock(choppingBoard,"Chopping Board",[["planks",0],["planks",0],["choppingboard_side",0],["choppingboard_side",0],["choppingboard_side",0],["choppingboard_side",0]],5,false);
Block.setShape(choppingBoard,1/16,0/16,3/16,15/16,1/16,13/16,0);
Block.setShape(choppingBoard,3/16,0/16,1/16,13/16,1/16,15/16,1);
Block.setLightOpacity(choppingBoard,.000001);
Block.setDestroyTime(choppingBoard,0.3);

Block.defineBlock(fridge,"Fridge",[["quartz_block_bottom",0],["quartz_block_top",0],["fridge",0],["quartz_block_side",0],["quartz_block_side",0],["quartz_block_side",0]],1,false);
Block.setLightOpacity(fridge,.000001);
Block.setDestroyTime(fridge,0.3);
Block.setShape(fridge,1/16,0/16,1/16,15/16,16/16,16/16);

Block.defineBlock(kitchenCabinet,"Kitchen Cabinet",[["stained_clay",5],["stained_clay",5],["stained_clay",5],["kitchen_cabinet",0],["stained_clay",5],["stained_clay",5],
													["stained_clay",5],["stained_clay",5],["stained_clay",5],["stained_clay",5],["stained_clay",5],["kitchen_cabinet",0],
													["stained_clay",5],["stained_clay",5],["kitchen_cabinet",0],["stained_clay",5],["stained_clay",5],["stained_clay",5],
													["stained_clay",5],["stained_clay",5],["stained_clay",5],["stained_clay",5],["kitchen_cabinet",0],["stained_clay",5]],1,false);
Block.setLightOpacity(kitchenCabinet,.000001);
Block.setDestroyTime(kitchenCabinet,0.3);

Block.defineBlock(kitchenCounter,"Kitchen Counter",[["quartz_block_bottom",0],["stained_clay",5],["quartz_block_side",0],["quartz_block_side",0],["quartz_block_side",0],["quartz_block_side",0]],1,false);
Block.setLightOpacity(kitchenCounter,.000001);
Block.setDestroyTime(kitchenCounter,0.3);

Block.defineBlock(microwave,"Microwave",[["quartz_block_top",0],["quartz_block_bottom",0],["quartz_block_side",0],["microwave",0],["quartz_block_side",0],["quartz_block_side",0],
                                         ["quartz_block_top",0],["quartz_block_bottom",0],["quartz_block_side",0],["quartz_block_side",0],["quartz_block_side",0],["microwave",0], 
                                         ["quartz_block_top",0],["quartz_block_bottom",0],["microwave",0],["quartz_block_side",0],["quartz_block_side",0],["quartz_block_side",0],
                                         ["quartz_block_top",0],["quartz_block_bottom",0],["quartz_block_side",0],["quartz_block_side",0],["microwave",0],["quartz_block_side",0]],1,false);
Block.setShape(microwave,0/16,0.001,3/16,16/16,0.5,13/16,0);
Block.setShape(microwave,3/16,0.001,0/16,13/16,0.5,16/16,1);
Block.setShape(microwave,0/16,0.001,3/16,16/16,0.5,13/16,2);
Block.setShape(microwave,3/16,0.001,0/16,13/16,0.5,16/16,3);
Block.setLightOpacity(microwave,.000001);
Block.setRenderLayer(microwave,BlockRenderLayer.alpha_single_side);
Block.setDestroyTime(microwave,0.3);

Block.defineBlock(woodTimber,"Wood Timber",[["planks",0],["woodtimber_top",0],["woodtimber",0],["woodtimber",0],["woodtimber",0],["woodtimber",0],
                                            ["planks",0],["woodtimber_top",1],["woodtimber",0],["woodtimber",0],["woodtimber",0],["woodtimber",0], 
                                            ["planks",0],["woodtimber_top",0],["woodtimber",0],["woodtimber",0],["woodtimber",0],["woodtimber",0],
                                            ["planks",0],["woodtimber_top",1],["woodtimber",0],["woodtimber",0],["woodtimber",0],["woodtimber",0]],5,false);
Block.setShape(woodTimber,0/16,0.001,3/16,16/16,0.5,13/16,0);
Block.setShape(woodTimber,3/16,0.001,0/16,13/16,0.5,16/16,1);
Block.setShape(woodTimber,0/16,0.001,3/16,16/16,0.5,13/16,2);
Block.setShape(woodTimber,3/16,0.001,0/16,13/16,0.5,16/16,3);
Block.setLightOpacity(woodTimber,.000001);
Block.setRenderLayer(woodTimber,BlockRenderLayer.alpha_single_side);
Block.setDestroyTime(woodTimber,0.3);

Block.defineBlock(spruceWoodTimber,"Spruce Wood Timber",[["planks",1],["woodtimber1_top",0],["woodtimber1",0],["woodtimber1",0],["woodtimber1",0],["woodtimber1",0],
                                                         ["planks",1],["woodtimber1_top",1],["woodtimber1",0],["woodtimber1",0],["woodtimber1",0],["woodtimber1",0], 
                                                         ["planks",1],["woodtimber1_top",0],["woodtimber1",0],["woodtimber1",0],["woodtimber1",0],["woodtimber1",0],
                                                         ["planks",1],["woodtimber1_top",1],["woodtimber1",0],["woodtimber1",0],["woodtimber1",0],["woodtimber1",0]],5,false);
Block.setShape(spruceWoodTimber,0/16,0.001,3/16,16/16,0.5,13/16,0);
Block.setShape(spruceWoodTimber,3/16,0.001,0/16,13/16,0.5,16/16,1);
Block.setShape(spruceWoodTimber,0/16,0.001,3/16,16/16,0.5,13/16,2);
Block.setShape(spruceWoodTimber,3/16,0.001,0/16,13/16,0.5,16/16,3);
Block.setLightOpacity(spruceWoodTimber,.000001);
Block.setRenderLayer(spruceWoodTimber,BlockRenderLayer.alpha_single_side);
Block.setDestroyTime(spruceWoodTimber,0.3);

Block.defineBlock(acaciaWoodTimber,"Acacia Wood Timber",[["planks",4],["woodtimber2_top",0],["woodtimber2",0],["woodtimber2",0],["woodtimber2",0],["woodtimber2",0],
                                                         ["planks",4],["woodtimber2_top",1],["woodtimber2",0],["woodtimber2",0],["woodtimber2",0],["woodtimber2",0], 
                                                         ["planks",4],["woodtimber2_top",0],["woodtimber2",0],["woodtimber2",0],["woodtimber2",0],["woodtimber2",0],
                                                         ["planks",4],["woodtimber2_top",1],["woodtimber2",0],["woodtimber2",0],["woodtimber2",0],["woodtimber2",0]],5,false);
Block.setShape(acaciaWoodTimber,0/16,0.001,3/16,16/16,0.5,13/16,0);
Block.setShape(acaciaWoodTimber,3/16,0.001,0/16,13/16,0.5,16/16,1);
Block.setShape(acaciaWoodTimber,0/16,0.001,3/16,16/16,0.5,13/16,2);
Block.setShape(acaciaWoodTimber,3/16,0.001,0/16,13/16,0.5,16/16,3);
Block.setLightOpacity(acaciaWoodTimber,.000001);
Block.setRenderLayer(acaciaWoodTimber,BlockRenderLayer.alpha_single_side);
Block.setDestroyTime(acaciaWoodTimber,0.3);

Block.defineBlock(oven,"Oven",[["quartz_block_bottom",0],["oven_top",0],["quartz_block_side",0],["oven",0],["quartz_block_side",0],["quartz_block_side",0],
                               ["quartz_block_bottom",0],["oven_top",0],["quartz_block_side",0],["quartz_block_side",0],["quartz_block_side",0],["oven",0],
                               ["quartz_block_bottom",0],["oven_top",0],["oven",0],["quartz_block_side",0],["quartz_block_side",0],["quartz_block_side",0],
                               ["quartz_block_bottom",0],["oven_top",0],["quartz_block_side",0],["quartz_block_side",0],["oven",0],["quartz_block_side",0]],1,false);
Block.setLightOpacity(oven,.000001);
Block.setShape(oven,1/16,0/16,1/16,15/16,16/16,16/16);
Block.setDestroyTime(oven,0.3);

Block.defineBlock(ovenRangehoodBottom,"Oven Rangehood",[["oven_overhead",0],["stone",0],["quartz_block_side",0],["quartz_block_side",0],["quartz_block_side",0],["quartz_block_side",0]],1,false);
Block.setDestroyTime(ovenRangehoodBottom,0.3);
Block.setShape(ovenRangehoodBottom,0/16,7/8,0/16,16/16,8/8,16/16);
Block.setLightOpacity(ovenRangehoodBottom,.000001);

Block.defineBlock(ovenRangehoodTop,"Oven Rangehood 2",[["quartz_block_side",0]],1,false);
Block.setDestroyTime(ovenRangehoodTop,0.3);
Block.setLightOpacity(ovenRangehoodTop,.000001);
Block.setShape(ovenRangehoodTop,4/16,0/16,4/16,12/16,16/16,16/16);

Block.defineBlock(stereo,"Stereo",[["stereo_side",0],["stereo_side",0],["stereo_side",0],["stereo",0],["stereo_side",0],["stereo_side",0],
                                   ["stereo_side",0],["stereo_side",0],["stereo_side",0],["stereo_side",0],["stereo_side",0],["stereo",0], 
                                   ["stereo_side",0],["stereo_side",0],["stereo",0],["stereo_side",0],["stereo_side",0],["stereo_side",0],
                                   ["stereo_side",0],["stereo_side",0],["stereo_side",0],["stereo_side",0],["stereo",0],["stereo_side",0]],5,false);
Block.setShape(stereo,0,0,3/16,1,0.5,13/16,0);
Block.setShape(stereo,3/16,0,0,13/16,0.5,1,1);
Block.setShape(stereo,0,0,3/16,1,0.5,13/16,2);
Block.setShape(stereo,3/16,0,0,13/16,0.5,1,3);
Block.setLightOpacity(stereo,.000001);
Block.setDestroyTime(stereo,0.3);
Block.setRedstoneConsumer(stereo,true);

Block.defineBlock(stonePath,"Stone Path",[["stone_path",0]],1,false);
Block.setShape(stonePath,0/16,0,0/16,16/16,0.06,16/16);
Block.setLightOpacity(stonePath,.000001);
Block.setDestroyTime(stonePath,0.3);
Block.setRenderLayer(stonePath,BlockRenderLayer.alpha_single_side);

Block.defineBlock(stoneTable,"Stone Table",[["stone_table",0]],1,false);
Block.setShape(stoneTable,0/16,15/16,0/16,16/16,16/16,16/16);
Block.setLightOpacity(stoneTable,.000001);
Block.setDestroyTime(stoneTable,0.3);

Block.defineBlock(stoneTableLeg,"StoneTable2",[["stone",0]],1,false);
Block.setShape(stoneTableLeg,6/16,0/16-3,6/16,10/16,15.99/16-3,10/16);
Block.setLightOpacity(stoneTableLeg,.000001);
Block.setDestroyTime(stoneTableLeg,0.3);

Block.defineBlock(television,"TelevisionOff",[["log2",0],["log2",0],["television",0],["log2",0],["log2",0],["log2",0]],5,false);
Block.setLightOpacity(television,.000001);
Block.setDestroyTime(television,0.3);
Block.setRedstoneConsumer(television,true);
Block.setShape(television,1/16,0/16,1/16,15/16,16/16,15/16);

Block.defineBlock(televisionOn,"TelevisionOn",[["log2",0],["log2",0],["television_on",0],["log2",0],["log2",0],["log2",0]],5,false);
Block.setLightOpacity(televisionOn,.000001);
Block.setDestroyTime(televisionOn,0.3);
Block.setShape(televisionOn,1/16,0/16,1/16,15/16,16/16,15/16);
Block.setLightLevel(televisionOn,5);
Block.setRedstoneConsumer(televisionOn,true);

Block.defineBlock(oakWoodTable,"Wooden Table",[["wooden_table",0],["wooden_table",0],["wood",0],["wood",0],["wood",0],["wood",0]],5,false);
Block.setShape(oakWoodTable,0/16,15/16,0/16,16/16,16/16,16/16);
Block.setLightOpacity(oakWoodTable,.000001);
Block.setDestroyTime(oakWoodTable,0.3);

Block.defineBlock(oakWoodTableLeg,"WoodenTable2",[["planks",2]],1,false);
Block.setShape(oakWoodTableLeg,6/16,0/16-3,6/16,10/16,15.99/16-3,10/16);
Block.setLightOpacity(oakWoodTableLeg,.000001);
Block.setDestroyTime(oakWoodTableLeg,0.3);

Block.defineBlock(gardenLight,"Garden Light",[["garden_light",0]],1,false);
Block.setShape(gardenLight,6/16,0/16,6/16,10/16,16/16,10/16);
Block.setLightOpacity(gardenLight,.000001);
Block.setDestroyTime(gardenLight,0.3);
Block.setLightLevel(gardenLight,10);

Block.defineBlock(present,"Present",[["present_top",0],["present_top",0],["present_side",0],["present_side",0],["present_side",0],["present_side",0]],1,false);
Block.setLightOpacity(present,.000001);
Block.setDestroyTime(present,0.3);
Block.setShape(present,4/16,0/16,4/16,12/16,6/16,12/16);

Block.defineBlock(ceilingLight,"Ceiling Light",[["quartz_block_bottom",0]],4,false);
Block.setShape(ceilingLight,0.25,0.875,0.25,0.75,1,0.75);
Block.setDestroyTime(ceilingLight,0.3);
Block.setLightLevel(ceilingLight,15);

Block.defineBlock(doorbell,"Doorbell",[["doorbell",0]],4,false);
Block.setShape(doorbell,4/16,4/16,15/16,12/16,12/16,16/16,0);
Block.setShape(doorbell,15/16,4/16,4/16,16/16,12/16,12/16,1);
Block.setShape(doorbell,0/16,4/16,4/16,1/16,12/16,12/16,2);
Block.setShape(doorbell,4/16,4/16,0/16,12/16,12/16,1/16,3);
Block.setDestroyTime(doorbell,0.3);

Block.defineBlock(oakWoodBedsideCabinet,"Bedside Cabinet",[["planks",2],["planks",2],["planks",2],["bedsidecabinet",0],["planks",2],["planks",2],
                                 ["planks",2],["planks",2],["planks",2],["planks",2],["planks",2],["bedsidecabinet",0],
                                 ["planks",2],["planks",2],["bedsidecabinet",0],["planks",2],["planks",2],["planks",2],
                                 ["planks",2],["planks",2],["planks",2],["planks",2],["bedsidecabinet",0],["planks",2]],5,false);
Block.setLightOpacity(oakWoodBedsideCabinet,.000001);
Block.setDestroyTime(oakWoodBedsideCabinet,0.3);

Block.defineBlock(spruceWoodBedsideCabinet,"Spruce Bedside Cabinet",[["planks",1],["planks",1],["planks",1],["bedsidecabinet1",0],["planks",1],["planks",1],
                                 ["planks",1],["planks",1],["planks",1],["planks",1],["planks",1],["bedsidecabinet1",0],
                                 ["planks",1],["planks",1],["bedsidecabinet1",0],["planks",1],["planks",1],["planks",1],
                                 ["planks",1],["planks",1],["planks",1],["planks",1],["bedsidecabinet1",0],["planks",1]],5,false);
Block.setLightOpacity(spruceWoodBedsideCabinet,.000001);
Block.setDestroyTime(spruceWoodBedsideCabinet,0.3);

Block.defineBlock(acaciaWoodBedsideCabinet,"Acacia Bedside Cabinet",[["planks",4],["planks",4],["planks",4],["bedsidecabinet2",0],["planks",4],["planks",4],
                                 ["planks",4],["planks",4],["planks",4],["planks",4],["planks",4],["bedsidecabinet2",0],
                                 ["planks",4],["planks",4],["bedsidecabinet2",0],["planks",4],["planks",4],["planks",4],
                                 ["planks",4],["planks",4],["planks",4],["planks",4],["bedsidecabinet2",0],["planks",4]],5,false);
Block.setLightOpacity(acaciaWoodBedsideCabinet,.000001);
Block.setDestroyTime(acaciaWoodBedsideCabinet,0.3);

Block.defineBlock(spruceWoodCabinet,"Spruce Wood Cabinet",[["planks",1],["planks",1],["planks",1],["cabinet1",0],["planks",1],["planks",1],
                                 ["planks",1],["planks",1],["planks",1],["planks",1],["planks",1],["cabinet1",0],
                                 ["planks",1],["planks",1],["cabinet1",0],["planks",1],["planks",1],["planks",1],
                                 ["planks",1],["planks",1],["planks",1],["planks",1],["cabinet1",0],["planks",1]],5,false);
Block.setLightOpacity(spruceWoodCabinet,.000001);
Block.setDestroyTime(spruceWoodCabinet,0.3);

Block.defineBlock(acaciaWoodCabinet,"Acacia Wood Cabinet",[["planks",4],["planks",4],["planks",4],["cabinet2",0],["planks",4],["planks",4],
														   ["planks",4],["planks",4],["planks",4],["planks",4],["planks",4],["cabinet2",0],
														   ["planks",4],["planks",4],["cabinet2",0],["planks",4],["planks",4],["planks",4],
														   ["planks",4],["planks",4],["planks",4],["planks",4],["cabinet2",0],["planks",4]],5,false);
Block.setLightOpacity(acaciaWoodCabinet,.000001);
Block.setDestroyTime(acaciaWoodCabinet,0.3);

Block.defineBlock(mirror,"Mirror",[["stained_clay",9],["stained_clay",9],["mirror",0],["stained_clay",9],["stained_clay",9],["stained_clay",9],//Cara 1
                                   ["stained_clay",9],["stained_clay",9],["stained_clay",9],["stained_clay",9],["mirror",0],["stained_clay",9],//Cara 3
                                   ["stained_clay",9],["stained_clay",9],["stained_clay",9],["stained_clay",9],["stained_clay",9],["mirror",0],//Cara 4
                                   ["stained_clay",9],["stained_clay",9],["stained_clay",9],["mirror",0],["stained_clay",9],["stained_clay",9]],1,false);
Block.setShape(mirror,2/16,1/16,15/16,14/16,15/16,15.99/16,0);
Block.setShape(mirror,15/16,1/16,2/16,15.99/16,15/16,14/16,1);
Block.setShape(mirror,0.01/16,1/16,2/16,1/16,15/16,14/16,2);
Block.setShape(mirror,2/16,1/16,0.01/16,14/16,15/16,1/16,3);
Block.setDestroyTime(mirror,0.3);
Block.setRenderLayer(mirror,1);

Block.defineBlock(curtains,"Curtains",[["void",0],["planks",2],["curtains",0],["curtains",0],["wool",1],["wool",1],//Cara 1
                                       ["void",0],["planks",2],["wool",1],["wool",1],["curtains",0],["curtains",0],//Cara 3
                                       ["void",0],["planks",2],["wool",1],["wool",1],["curtains",0],["curtains",0],//Cara 4
                                       ["void",0],["planks",2],["curtains",0],["curtains",0],["wool",1],["wool",1]],1,false);
Block.setShape(curtains,0/16,2/16,15/16,16/16,16/16,15.99/16,0);
Block.setShape(curtains,15/16,2/16,0/16,15.99/16,16/16,16/16,1);
Block.setShape(curtains,0.01/16,2/16,0/16,1/16,16/16,16/16,2);
Block.setShape(curtains,0/16,2/16,0.01/16,16/16,16/16,1/16,3);
Block.setDestroyTime(curtains,0.3);
Block.setRenderLayer(curtains,BlockRenderLayer.alpha_single_side);

Block.defineBlock(curtainsClosed,"Curtains Closed",[["void",0],["planks",2],["curtains_closed",0],["curtains_closed",0],["wool",1],["wool",1],//Cara 1
                                                    ["void",0],["planks",2],["wool",1],["wool",1],["curtains_closed",0],["curtains_closed",0],//Cara 3
                                                    ["void",0],["planks",2],["wool",1],["wool",1],["curtains_closed",0],["curtains_closed",0],//Cara 4
                                                    ["void",0],["planks",2],["curtains_closed",0],["curtains_closed",0],["wool",1],["wool",1]],1,false);
Block.setShape(curtainsClosed,0/16,1/16,15/16,16/16,16/16,15.99/16,0);
Block.setShape(curtainsClosed,15/16,1/16,0/16,15.99/16,16/16,16/16,1);
Block.setShape(curtainsClosed,0.01/16,1/16,0/16,1/16,16/16,16/16,2);
Block.setShape(curtainsClosed,0/16,1/16,0.01/16,16/16,16/16,1/16,3);
Block.setDestroyTime(curtainsClosed,0.3);
Block.setRenderLayer(curtainsClosed,BlockRenderLayer.alpha_single_side);

Block.defineBlock(mousepad,"Mouse Pad",[["mousepad",0],["mousepad",0],["mousepad_side",0],["mousepad_side",0],["mousepad_side",0],["mousepad_side",0]],1,false);
Block.setShape(mousepad,2/16,0.01/16,2/16,14/16,1/16,14/16);
Block.setDestroyTime(mousepad,0.3);
Block.setRenderLayer(mousepad,BlockRenderLayer.alpha_single_side);
Block.setLightOpacity(mousepad,.000001);

Block.defineBlock(fileCabinet,"File Cabinet",[["wool",7],["wool",7],["filecabinet_side",0],["filecabinet",0],["filecabinet_side",0],["filecabinet_side",0],
                                              ["wool",7],["wool",7],["filecabinet_side",0],["filecabinet_side",0],["filecabinet_side",0],["filecabinet",0],
                                              ["wool",7],["wool",7],["filecabinet",0],["filecabinet_side",0],["filecabinet_side",0],["filecabinet_side",0],
                                              ["wool",7],["wool",7],["filecabinet_side",0],["filecabinet_side",0],["filecabinet",0],["filecabinet_side",0]],1,false);
Block.setDestroyTime(fileCabinet,0.3);
Block.setLightOpacity(fileCabinet,.000001);

Block.defineBlock(laptopScreen,"Laptop Screen",[["cauldron_inner",0],["cauldron_inner",0],["laptop_screen",0],["cauldron_inner",0],["cauldron_inner",0],["cauldron_inner",0]],1,false);
Block.setShape(laptopScreen,1/16,0/16,0/16,15/16,14/16,1/16);
Block.setLightOpacity(laptopScreen,.000001);
Block.setRenderLayer(laptopScreen,BlockRenderLayer.alpha_single_side);
Block.setDestroyTime(laptopScreen,0.3);

Block.defineBlock(laptopKeyboard,"Laptop Keyboard",[["cauldron_inner",0],["laptop_keyboard",0],["cauldron_inner",0],["cauldron_inner",0],["cauldron_inner",0],["cauldron_inner",0]],1,false);
Block.setShape(laptopKeyboard,1/16,0/16,3/16,15/16,0.6/16,16/16);
Block.setLightOpacity(laptopKeyboard,.000001);
Block.setRenderLayer(laptopKeyboard,BlockRenderLayer.alpha_single_side);
Block.setDestroyTime(laptopKeyboard,0.3);

Block.defineBlock(modem,"Modem",[["modem_top",0],["modem_top",0],["modem_side",0],["modem_side",0],["modem_side",0],["modem_side",0],
                                 ["modem_top",0],["modem_top",1],["modem_side",0],["modem_side",0],["modem_side",0],["modem_side",0],
                                 ["modem_top",0],["modem_top",0],["modem_side",0],["modem_side",0],["modem_side",0],["modem_side",0],
                                 ["modem_top",0],["modem_top",1],["modem_side",0],["modem_side",0],["modem_side",0],["modem_side",0]],1,false);
Block.setShape(modem,2/16,0/16,3/16,14/16,2/16,13/16,0);
Block.setShape(modem,3/16,0/16,2/16,13/16,2/16,14/16,1);
Block.setShape(modem,2/16,0/16,3/16,14/16,2/16,13/16,2);
Block.setShape(modem,3/16,0/16,2/16,13/16,2/16,14/16,3);
Block.setLightOpacity(modem,.000001);
Block.setRenderLayer(modem,BlockRenderLayer.alpha_single_side);
Block.setDestroyTime(modem,0.3);

//Stained Glass

Block.defineBlock(stainedGlass,"Stained Glass",[["stained_glass",0],["stained_glass",0],["stained_glass",0],["stained_glass",0],["stained_glass",0],["stained_glass",0],
                                                ["stained_glass",1],["stained_glass",1],["stained_glass",1],["stained_glass",1],["stained_glass",1],["stained_glass",1],
												["stained_glass",2],["stained_glass",2],["stained_glass",2],["stained_glass",2],["stained_glass",2],["stained_glass",2],
												["stained_glass",3],["stained_glass",3],["stained_glass",3],["stained_glass",3],["stained_glass",3],["stained_glass",3],
												["stained_glass",4],["stained_glass",4],["stained_glass",4],["stained_glass",4],["stained_glass",4],["stained_glass",4],
												["stained_glass",5],["stained_glass",5],["stained_glass",5],["stained_glass",5],["stained_glass",5],["stained_glass",5],
												["stained_glass",6],["stained_glass",6],["stained_glass",6],["stained_glass",6],["stained_glass",6],["stained_glass",6],
												["stained_glass",7],["stained_glass",7],["stained_glass",7],["stained_glass",7],["stained_glass",7],["stained_glass",7],
												["stained_glass",8],["stained_glass",8],["stained_glass",8],["stained_glass",8],["stained_glass",8],["stained_glass",8],
												["stained_glass",9],["stained_glass",9],["stained_glass",9],["stained_glass",9],["stained_glass",9],["stained_glass",9],
												["stained_glass",10],["stained_glass",10],["stained_glass",10],["stained_glass",10],["stained_glass",10],["stained_glass",10],
												["stained_glass",11],["stained_glass",11],["stained_glass",11],["stained_glass",11],["stained_glass",11],["stained_glass",11],
												["stained_glass",12],["stained_glass",12],["stained_glass",12],["stained_glass",12],["stained_glass",12],["stained_glass",12],
												["stained_glass",13],["stained_glass",13],["stained_glass",13],["stained_glass",13],["stained_glass",13],["stained_glass",13],
												["stained_glass",14],["stained_glass",14],["stained_glass",14],["stained_glass",14],["stained_glass",14],["stained_glass",14],
												["stained_glass",15],["stained_glass",15],["stained_glass",15],["stained_glass",15],["stained_glass",15],["stained_glass",15]],20,false);
Block.setRenderLayer(stainedGlass,1);
Block.setLightOpacity(stainedGlass,.000001);
Block.setDestroyTime(stainedGlass,0.3);

//Items

ModPE.setItem(binItem,"bin_item",0,"Bin");
ModPE.setItem(oakWoodCabinetItem,"cabinet_item",0,"Cabinet");
ModPE.setItem(choppingBoardItem,"chopping_board_item",0,"Chopping Board");
ModPE.setItem(cupboardItem,"cupboard_item",0,"Cupboard");
ModPE.setItem(spruceWoodCupboardItem,"cupboard1_item",0,"Spruce Wood Cupboard");
ModPE.setItem(acaciaWoodCupboardItem,"cupboard2_item",0,"Acacia Wood Cupboard");
ModPE.setItem(fridgeItem,"fridge_item",0,"Fridge");
ModPE.setItem(kitchenCabinetItem,"kitchen_cabinet_item",0,"Kitchen Cabinet");
ModPE.setItem(kitchenCounterItem,"kitchen_counter_item",0,"Kitchen Counter");
ModPE.setItem(microwaveItem,"microwave_item",0,"Microwave");
ModPE.setItem(ovenItem,"oven_item",0,"Oven");
ModPE.setItem(ovenRangehoodItem,"oven_top_item",0,"Oven Rangehood");
ModPE.setItem(stereoItem,"stereo_item",0,"Stereo");
ModPE.setItem(stonePathItem,"stone_path_item",0,"Stone Path");
ModPE.setItem(stoneTableItem,"stone_table_item",0,"Stone Table");
ModPE.setItem(televisionItem,"television_item",0,"Television");
ModPE.setItem(woodenTableItem,"wooden_table_item",0,"Wooden Table");
ModPE.setItem(presentItem,"present_item",0,"Present");
ModPE.setItem(ceilingLightItem,"ceilinglight_item",0,"Ceiling Light");
ModPE.setItem(doorbellItem,"doorbell_item",0,"Doorbell");
ModPE.setItem(gardenLightItem,"gardenlight_item",0,"Garden Light");
ModPE.setItem(spruceWoodCabinetItem,"cabinet1_item",0,"Spruce Wood Cabinet");
ModPE.setItem(acaciaWoodCabinetItem,"cabinet2_item",0,"Acacia Wood Cabinet");
ModPE.setItem(oakWoodBedsideCabinetItem,"bedsidecabinet_item",0,"Bedside Cabinet");
ModPE.setItem(spruceWoodBedsideCabinetItem,"bedsidecabinet1_item",0,"Spruce Bedside Cabinet");
ModPE.setItem(acaciaWoodBedsideCabinetItem,"bedsidecabinet2_item",0,"Acacia Bedside Cabinet");
ModPE.setItem(mirrorItem,"mirror_item",0,"Mirror");
ModPE.setItem(curtainsItem,"curtains_item",0,"Curtains");
ModPE.setItem(mousepadItem,"mousepad_item",0,"Mouse Pad");
ModPE.setItem(fileCabinetItem,"filecabinet_item",0,"File Cabinet");
ModPE.setItem(laptopItem,"laptop_item",0,"Laptop");
ModPE.setItem(coinItem,"coin_item",0,"Coin");
ModPE.setItem(modemItem,"modem_item",0,"Modem");
ModPE.setItem(woodTimberItem,"woodtimber_item",0,"Wood Timber");
ModPE.setItem(spruceWoodTimberItem,"woodtimber1_item",0,"Spruce Wood Timber");
ModPE.setItem(acaciaWoodTimberItem,"woodtimber2_item",0,"Acacia Wood Timber");

//Recipes

Item.addShapedRecipe(binItem,1,0,["1 1","1 1","111"],["1",265,0]);
Item.addShapedRecipe(oakWoodCabinetItem,1,0,["111","121","111"],["1",5,0,"2",54,0]);
Item.addShapedRecipe(choppingBoardItem,1,0,["   ","111","111"],["1",5,0]);
Item.addShapedRecipe(fridgeItem,1,0,["111","121","131"],["1",42,0,"2",54,0,"3",79,0]);
Item.addShapedRecipe(kitchenCabinetItem,1,0,["111","121","111"],["1",159,5,"2",54,0]);
Item.addShapedRecipe(kitchenCounterItem,1,0,["111","222","222"],["1",159,5,"2",155,0]);
Item.addShapedRecipe(microwaveItem,1,0,["111","223","111"],["1",155,0,"2",102,0,"3",1,0]);
Item.addShapedRecipe(ovenItem,1,0,["111","121","111"],["1",42,0,"2",61,0]);
Item.addShapedRecipe(ovenRangehoodItem,1,0,[" 1 "," 1 ","121"],["1",265,0,"2",89,0]);
Item.addShapedRecipe(stereoItem,1,0,[" 1 ","222","222"],["1",265,0,"2",5,4]);
Item.addShapedRecipe(stonePathItem,8,0,["1  "," 1 ","  1"],["1",1,3]);
Item.addShapedRecipe(stoneTableItem,1,0,["111"," 1 "," 1 "],["1",1,0]);
Item.addShapedRecipe(televisionItem,1,0,["111","121","131"],["1",162,0,"2",102,0,"3",331,0]);
Item.addShapedRecipe(woodenTableItem,1,0,["111"," 1 "," 1 "],["1",5,0]);
Item.addShapedRecipe(presentItem,1,0,[" 1 ","222","222"],["1",339,0,"2",35,14]);
Item.addShapedRecipe(ceilingLightItem,1,0,[" 1 ","121"," 1 "],["1",89,0,"2",155,0]);
Item.addShapedRecipe(doorbellItem,1,0,[" 1 "," 2 "," 1 "],["1",17,0,"2",155,0]);
Item.addShapedRecipe(gardenLightItem,1,0,[" 2 "," 1 "," 1 "],["1",155,0,"2",159,9]);
Item.addShapedRecipe(spruceWoodCabinetItem,1,0,["111","121","111"],["1",5,1,"2",54,0]);
Item.addShapedRecipe(acaciaWoodCabinetItem,1,0,["111","121","111"],["1",5,4,"2",54,0]);
Item.addShapedRecipe(oakWoodBedsideCabinetItem,1,0,["111","121","121"],["1",5,0,"2",54,0]);
Item.addShapedRecipe(spruceWoodBedsideCabinetItem,1,0,["111","121","121"],["1",5,1,"2",54,0]);
Item.addShapedRecipe(acaciaWoodBedsideCabinetItem,1,0,["111","121","121"],["1",5,4,"2",54,0]);
Item.addShapedRecipe(mirrorItem,1,0,["111","121","111"],["1",159,9,"2",102,0]);
Item.addShapedRecipe(curtainsItem,1,0,["111","2 2","1 1"],["1",35,1,"2",265,0]);
Item.addShapedRecipe(mousepadItem,1,0,["111","121","111"],["1",35,7,"2",35,8]);
Item.addShapedRecipe(fileCabinetItem,1,0,["111","121","121"],["1",159,9,"2",54,0]);
Item.addShapedRecipe(laptopItem,1,0,["111","121","131"],["1",1,0,"2",102,0,"3",266,0]);
Item.addShapedRecipe(coinItem,1,0,["   "," 1 ","   "],["1",266,0]);
Item.addShapedRecipe(modemItem,1,0,["   ","111","111"],["1",159,9]);
Item.addShapedRecipe(cupboardItem,1,0,["111","121","111"],["1",5,0,"2",20,0]);
Item.addShapedRecipe(spruceWoodCupboardItem,1,0,["111","121","111"],["1",5,1,"2",20,0]);
Item.addShapedRecipe(acaciaWoodCupboardItem,1,0,["111","121","111"],["1",5,4,"2",20,0]);
Item.addShapedRecipe(woodTimberItem,6,0,["   ","111","111"],["1",5,0]);
Item.addShapedRecipe(spruceWoodTimberItem,6,0,["   ","111","111"],["1",5,1]);
Item.addShapedRecipe(acaciaWoodTimberItem,6,0,["   ","111","111"],["1",5,4]);

Item.addShapedRecipe(stainedGlass,8,0,["111","121","111"],["1",20,0,"2",351,15]);
Item.addShapedRecipe(stainedGlass,8,1,["111","121","111"],["1",20,0,"2",351,14]);
Item.addShapedRecipe(stainedGlass,8,2,["111","121","111"],["1",20,0,"2",351,13]);
Item.addShapedRecipe(stainedGlass,8,3,["111","121","111"],["1",20,0,"2",351,12]);
Item.addShapedRecipe(stainedGlass,8,4,["111","121","111"],["1",20,0,"2",351,11]);
Item.addShapedRecipe(stainedGlass,8,5,["111","121","111"],["1",20,0,"2",351,10]);
Item.addShapedRecipe(stainedGlass,8,6,["111","121","111"],["1",20,0,"2",351,9]);
Item.addShapedRecipe(stainedGlass,8,7,["111","121","111"],["1",20,0,"2",351,8]);
Item.addShapedRecipe(stainedGlass,8,8,["111","121","111"],["1",20,0,"2",351,7]);
Item.addShapedRecipe(stainedGlass,8,9,["111","121","111"],["1",20,0,"2",351,6]);
Item.addShapedRecipe(stainedGlass,8,10,["111","121","111"],["1",20,0,"2",351,5]);
Item.addShapedRecipe(stainedGlass,8,11,["111","121","111"],["1",20,0,"2",351,4]);
Item.addShapedRecipe(stainedGlass,8,12,["111","121","111"],["1",20,0,"2",351,3]);
Item.addShapedRecipe(stainedGlass,8,13,["111","121","111"],["1",20,0,"2",351,2]);
Item.addShapedRecipe(stainedGlass,8,14,["111","121","111"],["1",20,0,"2",351,1]);
Item.addShapedRecipe(stainedGlass,8,15,["111","121","111"],["1",20,0,"2",351,0]);

//Easter Egg

function procCmd(cmd){
  cmd = cmd.toLowerCase();
  if(cmd == "furniture"){
	Player.addItemInventory(oakWoodBedsideCabinetItem,64,0);
	Player.addItemInventory(spruceWoodBedsideCabinetItem,64,0);
	Player.addItemInventory(acaciaWoodBedsideCabinetItem,64,0);
	Player.addItemInventory(binItem,64,0);
	Player.addItemInventory(oakWoodCabinetItem,64,0);
	Player.addItemInventory(spruceWoodCabinetItem,64,0);
	Player.addItemInventory(acaciaWoodCabinetItem,64,0);
    Player.addItemInventory(ceilingLightItem,64,0);
	Player.addItemInventory(choppingBoardItem,64,0);
	Player.addItemInventory(coinItem,64,0);
	Player.addItemInventory(curtainsItem,64,0);
	Player.addItemInventory(doorbellItem,64,0);
	Player.addItemInventory(fileCabinetItem,64,0);
	Player.addItemInventory(fridgeItem,64,0);
	Player.addItemInventory(gardenLightItem,64,0);
	Player.addItemInventory(kitchenCabinetItem,64,0);
	Player.addItemInventory(kitchenCounterItem,64,0);
	Player.addItemInventory(laptopItem,64,0);
	Player.addItemInventory(microwaveItem,64,0);
	Player.addItemInventory(mirrorItem,64,0);
	Player.addItemInventory(modemItem,64,0);
	Player.addItemInventory(mousepadItem,64,0);
	Player.addItemInventory(ovenItem,64,0);
	Player.addItemInventory(ovenRangehoodItem,64,0);
	Player.addItemInventory(presentItem,64,0);
	Player.addItemInventory(stereoItem,64,0);
	Player.addItemInventory(stonePath,64,0);
	Player.addItemInventory(stoneTableItem,64,0);
	Player.addItemInventory(televisionItem,64,0);
	Player.addItemInventory(woodenTableItem,64,0);
	Player.addItemInventory(woodTimberItem,64,0);
	Player.addItemInventory(stainedGlass,64,0);
}
}

//Creative

Item.setCategory(oakWoodBedsideCabinetItem,ItemCategory.DECORATION);
Player.addItemCreativeInv(oakWoodBedsideCabinetItem,1,0);

Item.setCategory(spruceWoodBedsideCabinetItem,ItemCategory.DECORATION);
Player.addItemCreativeInv(spruceWoodBedsideCabinetItem,1,0);

Item.setCategory(acaciaWoodBedsideCabinetItem,ItemCategory.DECORATION);
Player.addItemCreativeInv(acaciaWoodBedsideCabinetItem,1,0);

Item.setCategory(binItem,ItemCategory.DECORATION);
Player.addItemCreativeInv(binItem,1,0);

Item.setCategory(oakWoodCabinetItem,ItemCategory.DECORATION);
Player.addItemCreativeInv(oakWoodCabinetItem,1,0);

Item.setCategory(spruceWoodCabinetItem,ItemCategory.DECORATION);
Player.addItemCreativeInv(spruceWoodCabinetItem,1,0);

Item.setCategory(acaciaWoodCabinetItem,ItemCategory.DECORATION);
Player.addItemCreativeInv(acaciaWoodCabinetItem,1,0);

Item.setCategory(cupboardItem,ItemCategory.DECORATION);
Player.addItemCreativeInv(cupboardItem,1,0);

Item.setCategory(spruceWoodCupboardItem,ItemCategory.DECORATION);
Player.addItemCreativeInv(spruceWoodCupboardItem,1,0);

Item.setCategory(acaciaWoodCupboardItem,ItemCategory.DECORATION);
Player.addItemCreativeInv(acaciaWoodCupboardItem,1,0);

Item.setCategory(ceilingLightItem,ItemCategory.DECORATION);
Player.addItemCreativeInv(ceilingLightItem,1,0);

Item.setCategory(choppingBoardItem,ItemCategory.DECORATION);
Player.addItemCreativeInv(choppingBoardItem,1,0);

Item.setCategory(coinItem,ItemCategory.DECORATION);
Player.addItemCreativeInv(coinItem,1,0);

Item.setCategory(curtainsItem,ItemCategory.DECORATION);
Player.addItemCreativeInv(curtainsItem,1,0);

Item.setCategory(doorbellItem,ItemCategory.DECORATION);
Player.addItemCreativeInv(doorbellItem,1,0);

Item.setCategory(fileCabinetItem,ItemCategory.DECORATION);
Player.addItemCreativeInv(fileCabinetItem,1,0);

Item.setCategory(fridgeItem,ItemCategory.DECORATION);
Player.addItemCreativeInv(fridgeItem,1,0);

Item.setCategory(gardenLightItem,ItemCategory.DECORATION);
Player.addItemCreativeInv(gardenLightItem,1,0);

Item.setCategory(kitchenCabinetItem,ItemCategory.DECORATION);
Player.addItemCreativeInv(kitchenCabinetItem,1,0);

Item.setCategory(kitchenCounterItem,ItemCategory.DECORATION);
Player.addItemCreativeInv(kitchenCounterItem,1,0);

Item.setCategory(laptopItem,ItemCategory.DECORATION);
Player.addItemCreativeInv(laptopItem,1,0);

Item.setCategory(microwaveItem,ItemCategory.DECORATION);
Player.addItemCreativeInv(microwaveItem,1,0);

Item.setCategory(mirrorItem,ItemCategory.DECORATION);
Player.addItemCreativeInv(mirrorItem,1,0);

Item.setCategory(modemItem,ItemCategory.DECORATION);
Player.addItemCreativeInv(modemItem,1,0);

Item.setCategory(mousepadItem,ItemCategory.DECORATION);
Player.addItemCreativeInv(mousepadItem,1,0);

Item.setCategory(ovenItem,ItemCategory.DECORATION);
Player.addItemCreativeInv(ovenItem,1,0);

Item.setCategory(ovenRangehoodItem,ItemCategory.DECORATION);
Player.addItemCreativeInv(ovenRangehoodItem,1,0);

Item.setCategory(presentItem,ItemCategory.DECORATION);
Player.addItemCreativeInv(presentItem,1,0);

Item.setCategory(stereoItem,ItemCategory.DECORATION);
Player.addItemCreativeInv(stereoItem,1,0);

Item.setCategory(stonePathItem,ItemCategory.DECORATION);
Player.addItemCreativeInv(stonePathItem,1,0);

Item.setCategory(stoneTableItem,ItemCategory.DECORATION);
Player.addItemCreativeInv(stoneTableItem,1,0);

Item.setCategory(televisionItem,ItemCategory.DECORATION);
Player.addItemCreativeInv(televisionItem,1,0);

Item.setCategory(woodenTableItem,ItemCategory.DECORATION);
Player.addItemCreativeInv(woodenTableItem,1,0);

Item.setCategory(woodTimberItem,ItemCategory.DECORATION);
Player.addItemCreativeInv(woodTimberItem,1,0);

Item.setCategory(spruceWoodTimberItem,ItemCategory.DECORATION);
Player.addItemCreativeInv(spruceWoodTimberItem,1,0);

Item.setCategory(acaciaWoodTimberItem,ItemCategory.DECORATION);
Player.addItemCreativeInv(acaciaWoodTimberItem,1,0);

Item.setCategory(stainedGlass,ItemCategory.DECORATION);
Player.addItemCreativeInv(stainedGlass,1,0);
Item.setCategory(stainedGlass,ItemCategory.DECORATION);
Player.addItemCreativeInv(stainedGlass,1,1);
Item.setCategory(stainedGlass,ItemCategory.DECORATION);
Player.addItemCreativeInv(stainedGlass,1,2);
Item.setCategory(stainedGlass,ItemCategory.DECORATION);
Player.addItemCreativeInv(stainedGlass,1,3);
Item.setCategory(stainedGlass,ItemCategory.DECORATION);
Player.addItemCreativeInv(stainedGlass,1,4);
Item.setCategory(stainedGlass,ItemCategory.DECORATION);
Player.addItemCreativeInv(stainedGlass,1,5);
Item.setCategory(stainedGlass,ItemCategory.DECORATION);
Player.addItemCreativeInv(stainedGlass,1,6);
Item.setCategory(stainedGlass,ItemCategory.DECORATION);
Player.addItemCreativeInv(stainedGlass,1,7);
Item.setCategory(stainedGlass,ItemCategory.DECORATION);
Player.addItemCreativeInv(stainedGlass,1,8);
Item.setCategory(stainedGlass,ItemCategory.DECORATION);
Player.addItemCreativeInv(stainedGlass,1,9);
Item.setCategory(stainedGlass,ItemCategory.DECORATION);
Player.addItemCreativeInv(stainedGlass,1,10);
Item.setCategory(stainedGlass,ItemCategory.DECORATION);
Player.addItemCreativeInv(stainedGlass,1,11);
Item.setCategory(stainedGlass,ItemCategory.DECORATION);
Player.addItemCreativeInv(stainedGlass,1,12);
Item.setCategory(stainedGlass,ItemCategory.DECORATION);
Player.addItemCreativeInv(stainedGlass,1,13);
Item.setCategory(stainedGlass,ItemCategory.DECORATION);
Player.addItemCreativeInv(stainedGlass,1,14);
Item.setCategory(stainedGlass,ItemCategory.DECORATION);
Player.addItemCreativeInv(stainedGlass,1,15);

//Functions

function useItem(x,y,z,itemId,blockId,side,itemDamage,blockDamage){
var id;
var ready=true;
if(itemId==oakWoodCabinetItem){
preventDefault();
if(ready==true){ 
var id2=0
var myDir = Math.round(Entity.getYaw(Player.getEntity())%360);
if(myDir<0)
myDir = myDir + 360;
if(myDir >= 45 && myDir < 135){
id=oakWoodCabinet;
id2=1;
}else if(myDir >= 135 && myDir < 225){
id=oakWoodCabinet;
id2=0;
}else if(myDir >= 225 && myDir < 315){
id=oakWoodCabinet;
id2=3;
}else{
id=oakWoodCabinet;
id2=2;
}}if(side==1){ //top
setTile(x,y+1,z,id,id2);
addItemInventory(oakWoodCabinetItem,-1);
}if(side==0){ //bottom
setTile(x,y-1,z,id,id2);
addItemInventory(oakWoodCabinetItem,-1);
}if(side==2){
if(blockId!==oakWoodCabinet&&blockDamage!=2){
setTile(x,y,z-1,id,id2);
addItemInventory(oakWoodCabinetItem,-1);
}}if(side==3){
if(blockId!==oakWoodCabinet&&blockDamage!=0){
setTile(x,y,z+1,id,id2);
addItemInventory(oakWoodCabinetItem,-1);
}}if(side==5){
if(blockId!==oakWoodCabinet&&blockDamage!=1){
setTile(x+1,y,z,id,id2);
addItemInventory(oakWoodCabinetItem,-1);
}}if(side==4){
if(blockId!==oakWoodCabinet&&blockDamage!=3){
setTile(x-1,y,z,id,id2);
addItemInventory(oakWoodCabinetItem,-1);
}}Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.wood",50,0);
}
else if(x,y,z,itemId,blockId,side,itemDamage,blockDamage);
var id;
var ready=true;
if(itemId==kitchenCabinetItem){
preventDefault();
if(ready==true){ 
var id2=0
var myDir = Math.round(Entity.getYaw(Player.getEntity())%360);
if(myDir<0)
myDir = myDir + 360;
if(myDir >= 45 && myDir < 135){
id=kitchenCabinet;
id2=1;
}else if(myDir >= 135 && myDir < 225){
id=kitchenCabinet;
id2=0;
}else if(myDir >= 225 && myDir < 315){
id=kitchenCabinet;
id2=3;
}else{
id=kitchenCabinet;
id2=2;
}}if(side==1){ //top
setTile(x,y+1,z,id,id2);
addItemInventory(kitchenCabinetItem,-1);
}if(side==0){ //bottom
setTile(x,y-1,z,id,id2);
addItemInventory(kitchenCabinetItem,-1);
}if(side==2){
if(blockId!==kitchenCabinet&&blockDamage!=2){
setTile(x,y,z-1,id,id2);
addItemInventory(kitchenCabinetItem,-1);
}}if(side==3){
if(blockId!==kitchenCabinet&&blockDamage!=0){
setTile(x,y,z+1,id,id2);
addItemInventory(kitchenCabinetItem,-1);
}}if(side==5){
if(blockId!==kitchenCabinet&&blockDamage!=1){
setTile(x+1,y,z,id,id2);
addItemInventory(kitchenCabinetItem,-1);
}}if(side==4){
if(blockId!==kitchenCabinet&&blockDamage!=3){
setTile(x-1,y,z,id,id2);
addItemInventory(kitchenCabinetItem,-1);
}}Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.stone",50,0);
}
else if(x,y,z,itemId,blockId,side,itemDamage,blockDamage);
var id;
var ready=true;
if(itemId==ovenItem){
preventDefault();
if(ready==true){ 
var id2=0
var myDir = Math.round(Entity.getYaw(Player.getEntity())%360);
if(myDir<0)
myDir = myDir + 360;
if(myDir >= 45 && myDir < 135){
id=oven;
id2=1;
}else if(myDir >= 135 && myDir < 225){
id=oven;
id2=0;
}else if(myDir >= 225 && myDir < 315){
id=oven;
id2=3;
}else{
id=oven;
id2=2;
}}if(side==1){ //top
setTile(x,y+1,z,id,id2);
addItemInventory(ovenItem,-1);
}if(side==0){ //bottom
setTile(x,y-1,z,id,id2);
addItemInventory(ovenItem,-1);
}if(side==2){
if(blockId!==oven&&blockDamage!=2){
setTile(x,y,z-1,id,id2);
addItemInventory(ovenItem,-1);
}}if(side==3){
if(blockId!==oven&&blockDamage!=0){
setTile(x,y,z+1,id,id2);
addItemInventory(ovenItem,-1);
}}if(side==5){
if(blockId!==oven&&blockDamage!=1){
setTile(x+1,y,z,id,id2);
addItemInventory(ovenItem,-1);
}}if(side==4){
if(blockId!==oven&&blockDamage!=3){
setTile(x-1,y,z,id,id2);
addItemInventory(ovenItem,-1);
}}Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.stone",50,0);
}
else if(x,y,z,itemId,blockId,side,itemDamage,blockDamage);
var id;
var ready=true;
if(itemId==choppingBoardItem){
preventDefault();
if(ready==true){ 
var id2=0
var myDir = Math.round(Entity.getYaw(Player.getEntity())%360);
if(myDir<0)
myDir = myDir + 360;
if(myDir >= 45 && myDir < 135){
id=choppingBoard;
id2=1;
}else if(myDir >= 135 && myDir < 225){
id=choppingBoard;
id2=0;
}else if(myDir >= 225 && myDir < 315){
id=choppingBoard;
id2=1;
}else{
id=choppingBoard;
id2=0;
}}if(side==1){ //top
setTile(x,y+1,z,id,id2);
addItemInventory(choppingBoardItem,-1);
}if(side==0){ //bottom
setTile(x,y-1,z,id,id2);
addItemInventory(choppingBoardItem,-1);
}if(side==2){
if(blockId!==choppingBoard&&blockDamage!=0){
setTile(x,y,z-1,id,id2);
addItemInventory(choppingBoardItem,-1);
}}if(side==3){
if(blockId!==choppingBoard&&blockDamage!=0){
setTile(x,y,z+1,id,id2);
addItemInventory(choppingBoardItem,-1);
}}if(side==5){
if(blockId!==choppingBoard&&blockDamage!=1){
setTile(x+1,y,z,id,id2);
addItemInventory(choppingBoardItem,-1);
}}if(side==4){
if(blockId!==choppingBoard&&blockDamage!=1){
setTile(x-1,y,z,id,id2);
addItemInventory(choppingBoardItem,-1);
}}Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.wood",50,0);
}

else if(x,y,z,itemId,blockId,side,itemDamage,blockDamage);
var id;
var ready=true;
if(itemId==doorbellItem){
preventDefault();
if(ready==true){ 
var id2=0
var myDir = Math.round(Entity.getYaw(Player.getEntity())%360);
if(myDir<0)
myDir = myDir + 360;
if(myDir >= 45 && myDir < 135){//Norte
id=doorbell;
id2=2;
}else if(myDir >= 135 && myDir < 225){//Este
id=doorbell;
id2=3;
}else if(myDir >= 225 && myDir < 315){//Sur
id=doorbell;
id2=1;
}else{//Oeste
id=doorbell;
id2=0;
}}if(side==2){
if(blockId!==doorbell&&blockDamage!=1){//Oeste
setTile(x,y,z-1,id,id2);
addItemInventory(doorbellItem,-1);
}}if(side==3){
if(blockId!==doorbell&&blockDamage!=3){//Este
setTile(x,y,z+1,id,id2);
addItemInventory(doorbellItem,-1);
}}if(side==5){
if(blockId!==doorbell&&blockDamage!=2){//Norte
setTile(x+1,y,z,id,id2);
addItemInventory(doorbellItem,-1);
}}if(side==4){
if(blockId!==doorbell&&blockDamage!=1){//Sur
setTile(x-1,y,z,id,id2);
addItemInventory(doorbellItem,-1);
}}Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.wood",50,0);
}

else if(x,y,z,itemId,blockId,side,itemDamage,blockDamage);
var id;
var ready=true;
if(itemId==spruceWoodCabinetItem){
preventDefault();
if(ready==true){ 
var id2=0
var myDir = Math.round(Entity.getYaw(Player.getEntity())%360);
if(myDir<0)
myDir = myDir + 360;
if(myDir >= 45 && myDir < 135){
id=spruceWoodCabinet;
id2=1;
}else if(myDir >= 135 && myDir < 225){
id=spruceWoodCabinet;
id2=0;
}else if(myDir >= 225 && myDir < 315){
id=spruceWoodCabinet;
id2=3;
}else{
id=spruceWoodCabinet;
id2=2;
}}if(side==1){ //top
setTile(x,y+1,z,id,id2);
addItemInventory(spruceWoodCabinetItem,-1);
}if(side==0){ //bottom
setTile(x,y-1,z,id,id2);
addItemInventory(spruceWoodCabinetItem,-1);
}if(side==2){
if(blockId!==spruceWoodCabinet&&blockDamage!=2){
setTile(x,y,z-1,id,id2);
addItemInventory(spruceWoodCabinetItem,-1);
}}if(side==3){
if(blockId!==spruceWoodCabinet&&blockDamage!=0){
setTile(x,y,z+1,id,id2);
addItemInventory(spruceWoodCabinetItem,-1);
}}if(side==5){
if(blockId!==spruceWoodCabinet&&blockDamage!=1){
setTile(x+1,y,z,id,id2);
addItemInventory(spruceWoodCabinetItem,-1);
}}if(side==4){
if(blockId!==spruceWoodCabinet&&blockDamage!=3){
setTile(x-1,y,z,id,id2);
addItemInventory(spruceWoodCabinetItem,-1);
}}Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.wood",50,0);
}

else if(x,y,z,itemId,blockId,side,itemDamage,blockDamage);
var id;
var ready=true;
if(itemId==acaciaWoodCabinetItem){
preventDefault();
if(ready==true){ 
var id2=0
var myDir = Math.round(Entity.getYaw(Player.getEntity())%360);
if(myDir<0)
myDir = myDir + 360;
if(myDir >= 45 && myDir < 135){
id=acaciaWoodCabinet;
id2=1;
}else if(myDir >= 135 && myDir < 225){
id=acaciaWoodCabinet;
id2=0;
}else if(myDir >= 225 && myDir < 315){
id=acaciaWoodCabinet;
id2=3;
}else{
id=acaciaWoodCabinet;
id2=2;
}}if(side==1){ //top
setTile(x,y+1,z,id,id2);
addItemInventory(acaciaWoodCabinetItem,-1);
}if(side==0){ //bottom
setTile(x,y-1,z,id,id2);
addItemInventory(acaciaWoodCabinetItem,-1);
}if(side==2){
if(blockId!==acaciaWoodCabinet&&blockDamage!=2){
setTile(x,y,z-1,id,id2);
addItemInventory(acaciaWoodCabinetItem,-1);
}}if(side==3){
if(blockId!==acaciaWoodCabinet&&blockDamage!=0){
setTile(x,y,z+1,id,id2);
addItemInventory(acaciaWoodCabinetItem,-1);
}}if(side==5){
if(blockId!==acaciaWoodCabinet&&blockDamage!=1){
setTile(x+1,y,z,id,id2);
addItemInventory(acaciaWoodCabinetItem,-1);
}}if(side==4){
if(blockId!==acaciaWoodCabinet&&blockDamage!=3){
setTile(x-1,y,z,id,id2);
addItemInventory(acaciaWoodCabinetItem,-1);
}}Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.wood",50,0);
}

else if(x,y,z,itemId,blockId,side,itemDamage,blockDamage);
var id;
var ready=true;
if(itemId==oakWoodBedsideCabinetItem){
preventDefault();
if(ready==true){ 
var id2=0
var myDir = Math.round(Entity.getYaw(Player.getEntity())%360);
if(myDir<0)
myDir = myDir + 360;
if(myDir >= 45 && myDir < 135){
id=oakWoodBedsideCabinet;
id2=1;
}else if(myDir >= 135 && myDir < 225){
id=oakWoodBedsideCabinet;
id2=0;
}else if(myDir >= 225 && myDir < 315){
id=oakWoodBedsideCabinet;
id2=3;
}else{
id=oakWoodBedsideCabinet;
id2=2;
}}if(side==1){ //top
setTile(x,y+1,z,id,id2);
addItemInventory(oakWoodBedsideCabinetItem,-1);
}if(side==0){ //bottom
setTile(x,y-1,z,id,id2);
addItemInventory(oakWoodBedsideCabinetItem,-1);
}if(side==2){
if(blockId!==oakWoodBedsideCabinet&&blockDamage!=2){
setTile(x,y,z-1,id,id2);
addItemInventory(oakWoodBedsideCabinetItem,-1);
}}if(side==3){
if(blockId!==oakWoodBedsideCabinet&&blockDamage!=0){
setTile(x,y,z+1,id,id2);
addItemInventory(oakWoodBedsideCabinetItem,-1);
}}if(side==5){
if(blockId!==oakWoodBedsideCabinet&&blockDamage!=1){
setTile(x+1,y,z,id,id2);
addItemInventory(oakWoodBedsideCabinetItem,-1);
}}if(side==4){
if(blockId!==oakWoodBedsideCabinet&&blockDamage!=3){
setTile(x-1,y,z,id,id2);
addItemInventory(oakWoodBedsideCabinetItem,-1);
}}Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.wood",50,0);
}

else if(x,y,z,itemId,blockId,side,itemDamage,blockDamage);
var id;
var ready=true;
if(itemId==spruceWoodBedsideCabinetItem){
preventDefault();
if(ready==true){ 
var id2=0
var myDir = Math.round(Entity.getYaw(Player.getEntity())%360);
if(myDir<0)
myDir = myDir + 360;
if(myDir >= 45 && myDir < 135){
id=spruceWoodBedsideCabinet;
id2=1;
}else if(myDir >= 135 && myDir < 225){
id=spruceWoodBedsideCabinet;
id2=0;
}else if(myDir >= 225 && myDir < 315){
id=spruceWoodBedsideCabinet;
id2=3;
}else{
id=spruceWoodBedsideCabinet;
id2=2;
}}if(side==1){ //top
setTile(x,y+1,z,id,id2);
addItemInventory(spruceWoodBedsideCabinetItem,-1);
}if(side==0){ //bottom
setTile(x,y-1,z,id,id2);
addItemInventory(spruceWoodBedsideCabinetItem,-1);
}if(side==2){
if(blockId!==spruceWoodBedsideCabinet&&blockDamage!=2){
setTile(x,y,z-1,id,id2);
addItemInventory(spruceWoodBedsideCabinetItem,-1);
}}if(side==3){
if(blockId!==spruceWoodBedsideCabinet&&blockDamage!=0){
setTile(x,y,z+1,id,id2);
addItemInventory(spruceWoodBedsideCabinetItem,-1);
}}if(side==5){
if(blockId!==spruceWoodBedsideCabinet&&blockDamage!=1){
setTile(x+1,y,z,id,id2);
addItemInventory(spruceWoodBedsideCabinetItem,-1);
}}if(side==4){
if(blockId!==spruceWoodBedsideCabinet&&blockDamage!=3){
setTile(x-1,y,z,id,id2);
addItemInventory(spruceWoodBedsideCabinetItem,-1);
}}Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.wood",50,0);
}

else if(x,y,z,itemId,blockId,side,itemDamage,blockDamage);
var id;
var ready=true;
if(itemId==acaciaWoodBedsideCabinetItem){
preventDefault();
if(ready==true){ 
var id2=0
var myDir = Math.round(Entity.getYaw(Player.getEntity())%360);
if(myDir<0)
myDir = myDir + 360;
if(myDir >= 45 && myDir < 135){
id=acaciaWoodBedsideCabinet;
id2=1;
}else if(myDir >= 135 && myDir < 225){
id=acaciaWoodBedsideCabinet;
id2=0;
}else if(myDir >= 225 && myDir < 315){
id=acaciaWoodBedsideCabinet;
id2=3;
}else{
id=acaciaWoodBedsideCabinet;
id2=2;
}}if(side==1){ //top
setTile(x,y+1,z,id,id2);
addItemInventory(acaciaWoodBedsideCabinetItem,-1);
}if(side==0){ //bottom
setTile(x,y-1,z,id,id2);
addItemInventory(acaciaWoodBedsideCabinetItem,-1);
}if(side==2){
if(blockId!==acaciaWoodBedsideCabinet&&blockDamage!=2){
setTile(x,y,z-1,id,id2);
addItemInventory(acaciaWoodBedsideCabinetItem,-1);
}}if(side==3){
if(blockId!==acaciaWoodBedsideCabinet&&blockDamage!=0){
setTile(x,y,z+1,id,id2);
addItemInventory(acaciaWoodBedsideCabinetItem,-1);
}}if(side==5){
if(blockId!==acaciaWoodBedsideCabinet&&blockDamage!=1){
setTile(x+1,y,z,id,id2);
addItemInventory(acaciaWoodBedsideCabinetItem,-1);
}}if(side==4){
if(blockId!==acaciaWoodBedsideCabinet&&blockDamage!=3){
setTile(x-1,y,z,id,id2);
addItemInventory(acaciaWoodBedsideCabinetItem,-1);
}}Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.wood",50,0);
}

else if(x,y,z,itemId,blockId,side,itemDamage,blockDamage);
var id;
var ready=true;
if(itemId==microwaveItem){
preventDefault();
if(ready==true){ 
var id2=0
var myDir = Math.round(Entity.getYaw(Player.getEntity())%360);
if(myDir<0)
myDir = myDir + 360;
if(myDir >= 45 && myDir < 135){
id=microwave;
id2=1;
}else if(myDir >= 135 && myDir < 225){
id=microwave;
id2=0;
}else if(myDir >= 225 && myDir < 315){
id=microwave;
id2=3;
}else{
id=microwave;
id2=2;
}}if(side==1){ //top
setTile(x,y+1,z,id,id2);
addItemInventory(microwaveItem,-1);
}if(side==0){ //bottom
setTile(x,y-1,z,id,id2);
addItemInventory(microwaveItem,-1);
}if(side==2){
if(blockId!==microwave&&blockDamage!=2){
setTile(x,y,z-1,id,id2);
addItemInventory(microwaveItem,-1);
}}if(side==3){
if(blockId!==microwave&&blockDamage!=0){
setTile(x,y,z+1,id,id2);
addItemInventory(microwaveItem,-1);
}}if(side==5){
if(blockId!==microwave&&blockDamage!=1){
setTile(x+1,y,z,id,id2);
addItemInventory(microwaveItem,-1);
}}if(side==4){
if(blockId!==microwave&&blockDamage!=3){
setTile(x-1,y,z,id,id2);
addItemInventory(microwaveItem,-1);
}}Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.stone",50,0);
}

else if(x,y,z,itemId,blockId,side,itemDamage,blockDamage);
var id;
var ready=true;
if(itemId==stereoItem){
preventDefault();
if(ready==true){ 
var id2=0
var myDir = Math.round(Entity.getYaw(Player.getEntity())%360);
if(myDir<0)
myDir = myDir + 360;
if(myDir >= 45 && myDir < 135){
id=stereo;
id2=1;
}else if(myDir >= 135 && myDir < 225){
id=stereo;
id2=0;
}else if(myDir >= 225 && myDir < 315){
id=stereo;
id2=3;
}else{
id=stereo;
id2=2;
}}if(side==1){ //top
setTile(x,y+1,z,id,id2);
addItemInventory(stereoItem,-1);
}if(side==0){ //bottom
setTile(x,y-1,z,id,id2);
addItemInventory(stereoItem,-1);
}if(side==2){
if(blockId!==stereo&&blockDamage!=2){
setTile(x,y,z-1,id,id2);
addItemInventory(stereoItem,-1);
}}if(side==3){
if(blockId!==stereo&&blockDamage!=0){
setTile(x,y,z+1,id,id2);
addItemInventory(stereoItem,-1);
}}if(side==5){
if(blockId!==stereo&&blockDamage!=1){
setTile(x+1,y,z,id,id2);
addItemInventory(stereoItem,-1);
}}if(side==4){
if(blockId!==stereo&&blockDamage!=3){
setTile(x-1,y,z,id,id2);
addItemInventory(stereoItem,-1);
}}Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.wood",50,0);
}

else if(x,y,z,itemId,blockId,side,itemDamage,blockDamage);
var id;
var ready=true;
if(itemId==mirrorItem){
preventDefault();
if(ready==true){ 
var id2=0
var myDir = Math.round(Entity.getYaw(Player.getEntity())%360);
if(myDir<0)
myDir = myDir + 360;
if(myDir >= 45 && myDir < 135){//Norte
id=mirror;
id2=2;
}else if(myDir >= 135 && myDir < 225){//Este
id=mirror;
id2=3;
}else if(myDir >= 225 && myDir < 315){//Sur
id=mirror;
id2=1;
}else{//Oeste
id=mirror;
id2=0;
}}if(side==2){
if(blockId!==mirror&&blockDamage!=1){//Oeste
setTile(x,y,z-1,id,id2);
addItemInventory(mirrorItem,-1);
}}if(side==3){
if(blockId!==mirror&&blockDamage!=3){//Este
setTile(x,y,z+1,id,id2);
addItemInventory(mirrorItem,-1);
}}if(side==5){
if(blockId!==mirror&&blockDamage!=2){//Norte
setTile(x+1,y,z,id,id2);
addItemInventory(mirrorItem,-1);
}}if(side==4){
if(blockId!==mirror&&blockDamage!=1){//Sur
setTile(x-1,y,z,id,id2);
addItemInventory(mirrorItem,-1);
}}Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.stone",50,0);
}

else if(x,y,z,itemId,blockId,side,itemDamage,blockDamage);
var id;
var ready=true;
if(itemId==curtainsItem){
preventDefault();
if(ready==true){ 
var id2=0
var myDir = Math.round(Entity.getYaw(Player.getEntity())%360);
if(myDir<0)
myDir = myDir + 360;
if(myDir >= 45 && myDir < 135){//Norte
id=curtains;
id2=2;
}else if(myDir >= 135 && myDir < 225){//Este
id=curtains;
id2=3;
}else if(myDir >= 225 && myDir < 315){//Sur
id=curtains;
id2=1;
}else{//Oeste
id=curtains;
id2=0;
}}if(side==2){
if(blockId!==curtains&&blockDamage!=1){//Oeste
setTile(x,y,z-1,id,id2);
addItemInventory(curtainsItem,-1);
}}if(side==3){
if(blockId!==curtains&&blockDamage!=3){//Este
setTile(x,y,z+1,id,id2);
addItemInventory(curtainsItem,-1);
}}if(side==5){
if(blockId!==curtains&&blockDamage!=2){//Norte
setTile(x+1,y,z,id,id2);
addItemInventory(curtainsItem,-1);
}}if(side==4){
if(blockId!==curtains&&blockDamage!=1){//Sur
setTile(x-1,y,z,id,id2);
addItemInventory(curtainsItem,-1);
}}Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.cloth",50,0);
}

else if(x,y,z,itemId,blockId,side,itemDamage,blockDamage);
var id;
var ready=true;
if(itemId==fileCabinetItem){
preventDefault();
if(ready==true){ 
var id2=0
var myDir = Math.round(Entity.getYaw(Player.getEntity())%360);
if(myDir<0)
myDir = myDir + 360;
if(myDir >= 45 && myDir < 135){
id=fileCabinet;
id2=1;
}else if(myDir >= 135 && myDir < 225){
id=fileCabinet;
id2=0;
}else if(myDir >= 225 && myDir < 315){
id=fileCabinet;
id2=3;
}else{
id=fileCabinet;
id2=2;
}}if(side==1){ //top
setTile(x,y+1,z,id,id2);
addItemInventory(fileCabinetItem,-1);
}if(side==0){ //bottom
setTile(x,y-1,z,id,id2);
addItemInventory(fileCabinetItem,-1);
}if(side==2){
if(blockId!==fileCabinet&&blockDamage!=2){
setTile(x,y,z-1,id,id2);
addItemInventory(fileCabinetItem,-1);
}}if(side==3){
if(blockId!==fileCabinet&&blockDamage!=0){
setTile(x,y,z+1,id,id2);
addItemInventory(fileCabinetItem,-1);
}}if(side==5){
if(blockId!==fileCabinet&&blockDamage!=1){
setTile(x+1,y,z,id,id2);
addItemInventory(fileCabinetItem,-1);
}}if(side==4){
if(blockId!==fileCabinet&&blockDamage!=3){
setTile(x-1,y,z,id,id2);
addItemInventory(fileCabinetItem,-1);
}}Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.stone",50,0);
}

else if(x,y,z,itemId,blockId,side,itemDamage,blockDamage);
var id;
var ready=true;
if(itemId==modemItem){
preventDefault();
if(ready==true){ 
var id2=0
var myDir = Math.round(Entity.getYaw(Player.getEntity())%360);
if(myDir<0)
myDir = myDir + 360;
if(myDir >= 45 && myDir < 135){
id=modem;
id2=1;
}else if(myDir >= 135 && myDir < 225){
id=modem;
id2=0;
}else if(myDir >= 225 && myDir < 315){
id=modem;
id2=3;
}else{
id=modem;
id2=2;
}}if(side==1){ //top
setTile(x,y+1,z,id,id2);
addItemInventory(modemItem,-1);
}if(side==0){ //bottom
setTile(x,y-1,z,id,id2);
addItemInventory(modemItem,-1);
}if(side==2){
if(blockId!==stereo&&blockDamage!=2){
setTile(x,y,z-1,id,id2);
addItemInventory(modemItem,-1);
}}if(side==3){
if(blockId!==stereo&&blockDamage!=0){
setTile(x,y,z+1,id,id2);
addItemInventory(modemItem,-1);
}}if(side==5){
if(blockId!==stereo&&blockDamage!=1){
setTile(x+1,y,z,id,id2);
addItemInventory(modemItem,-1);
}}if(side==4){
if(blockId!==stereo&&blockDamage!=3){
setTile(x-1,y,z,id,id2);
addItemInventory(modemItem,-1);
}}Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.stone",50,0);
}

else if(x,y,z,itemId,blockId,side,itemDamage,blockDamage);
var id;
var ready=true;
if(itemId==woodTimberItem){
preventDefault();
if(ready==true){ 
var id2=0
var myDir = Math.round(Entity.getYaw(Player.getEntity())%360);
if(myDir<0)
myDir = myDir + 360;
if(myDir >= 45 && myDir < 135){
id=woodTimber;
id2=1;
}else if(myDir >= 135 && myDir < 225){
id=woodTimber;
id2=0;
}else if(myDir >= 225 && myDir < 315){
id=woodTimber;
id2=3;
}else{
id=woodTimber;
id2=2;
}}if(side==1){ //top
setTile(x,y+1,z,id,id2);
addItemInventory(woodTimberItem,-1);
}if(side==0){ //bottom
setTile(x,y-1,z,id,id2);
addItemInventory(woodTimberItem,-1);
}if(side==2){
if(blockId!==woodTimber&&blockDamage!=2){
setTile(x,y,z-1,id,id2);
addItemInventory(woodTimberItem,-1);
}}if(side==3){
if(blockId!==woodTimber&&blockDamage!=0){
setTile(x,y,z+1,id,id2);
addItemInventory(woodTimberItem,-1);
}}if(side==5){
if(blockId!==woodTimber&&blockDamage!=1){
setTile(x+1,y,z,id,id2);
addItemInventory(woodTimberItem,-1);
}}if(side==4){
if(blockId!==woodTimber&&blockDamage!=3){
setTile(x-1,y,z,id,id2);
addItemInventory(woodTimberItem,-1);
}}Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.wood",50,0);
}

else if(x,y,z,itemId,blockId,side,itemDamage,blockDamage);
var id;
var ready=true;
if(itemId==spruceWoodTimberItem){
preventDefault();
if(ready==true){ 
var id2=0
var myDir = Math.round(Entity.getYaw(Player.getEntity())%360);
if(myDir<0)
myDir = myDir + 360;
if(myDir >= 45 && myDir < 135){
id=spruceWoodTimber;
id2=1;
}else if(myDir >= 135 && myDir < 225){
id=spruceWoodTimber;
id2=0;
}else if(myDir >= 225 && myDir < 315){
id=spruceWoodTimber;
id2=3;
}else{
id=spruceWoodTimber;
id2=2;
}}if(side==1){ //top
setTile(x,y+1,z,id,id2);
addItemInventory(spruceWoodTimberItem,-1);
}if(side==0){ //bottom
setTile(x,y-1,z,id,id2);
addItemInventory(spruceWoodTimberItem,-1);
}if(side==2){
if(blockId!==spruceWoodTimber&&blockDamage!=2){
setTile(x,y,z-1,id,id2);
addItemInventory(spruceWoodTimberItem,-1);
}}if(side==3){
if(blockId!==spruceWoodTimber&&blockDamage!=0){
setTile(x,y,z+1,id,id2);
addItemInventory(spruceWoodTimberItem,-1);
}}if(side==5){
if(blockId!==spruceWoodTimber&&blockDamage!=1){
setTile(x+1,y,z,id,id2);
addItemInventory(spruceWoodTimberItem,-1);
}}if(side==4){
if(blockId!==spruceWoodTimber&&blockDamage!=3){
setTile(x-1,y,z,id,id2);
addItemInventory(spruceWoodTimberItem,-1);
}}Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.wood",50,0);
}

else if(x,y,z,itemId,blockId,side,itemDamage,blockDamage);
var id;
var ready=true;
if(itemId==acaciaWoodTimberItem){
preventDefault();
if(ready==true){ 
var id2=0
var myDir = Math.round(Entity.getYaw(Player.getEntity())%360);
if(myDir<0)
myDir = myDir + 360;
if(myDir >= 45 && myDir < 135){
id=acaciaWoodTimber;
id2=1;
}else if(myDir >= 135 && myDir < 225){
id=acaciaWoodTimber;
id2=0;
}else if(myDir >= 225 && myDir < 315){
id=acaciaWoodTimber;
id2=3;
}else{
id=acaciaWoodTimber;
id2=2;
}}if(side==1){ //top
setTile(x,y+1,z,id,id2);
addItemInventory(acaciaWoodTimberItem,-1);
}if(side==0){ //bottom
setTile(x,y-1,z,id,id2);
addItemInventory(acaciaWoodTimberItem,-1);
}if(side==2){
if(blockId!==acaciaWoodTimber&&blockDamage!=2){
setTile(x,y,z-1,id,id2);
addItemInventory(acaciaWoodTimberItem,-1);
}}if(side==3){
if(blockId!==acaciaWoodTimber&&blockDamage!=0){
setTile(x,y,z+1,id,id2);
addItemInventory(acaciaWoodTimberItem,-1);
}}if(side==5){
if(blockId!==acaciaWoodTimber&&blockDamage!=1){
setTile(x+1,y,z,id,id2);
addItemInventory(acaciaWoodTimberItem,-1);
}}if(side==4){
if(blockId!==acaciaWoodTimber&&blockDamage!=3){
setTile(x-1,y,z,id,id2);
addItemInventory(acaciaWoodTimberItem,-1);
}}Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.wood",50,0);
}

else if(x,y,z,itemId,blockId,side,itemDamage,blockDamage);
var id;
var ready=true;
if(itemId==cupboardItem){
preventDefault();
if(ready==true){ 
var id2=0
var myDir = Math.round(Entity.getYaw(Player.getEntity())%360);
if(myDir<0)
myDir = myDir + 360;
if(myDir >= 45 && myDir < 135){
id=cupboard;
id2=1;
}else if(myDir >= 135 && myDir < 225){
id=cupboard;
id2=0;
}else if(myDir >= 225 && myDir < 315){
id=cupboard;
id2=3;
}else{
id=cupboard;
id2=2;
}}if(side==1){ //top
setTile(x,y+1,z,id,id2);
addItemInventory(cupboardItem,-1);
}if(side==0){ //bottom
setTile(x,y-1,z,id,id2);
addItemInventory(cupboardItem,-1);
}if(side==2){
if(blockId!==cupboard&&blockDamage!=2){
setTile(x,y,z-1,id,id2);
addItemInventory(cupboardItem,-1);
}}if(side==3){
if(blockId!==cupboard&&blockDamage!=0){
setTile(x,y,z+1,id,id2);
addItemInventory(cupboardItem,-1);
}}if(side==5){
if(blockId!==cupboard&&blockDamage!=1){
setTile(x+1,y,z,id,id2);
addItemInventory(cupboardItem,-1);
}}if(side==4){
if(blockId!==cupboard&&blockDamage!=3){
setTile(x-1,y,z,id,id2);
addItemInventory(cupboardItem,-1);
}}Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.wood",50,0);
}

else if(x,y,z,itemId,blockId,side,itemDamage,blockDamage);
var id;
var ready=true;
if(itemId==spruceWoodCupboardItem){
preventDefault();
if(ready==true){ 
var id2=0
var myDir = Math.round(Entity.getYaw(Player.getEntity())%360);
if(myDir<0)
myDir = myDir + 360;
if(myDir >= 45 && myDir < 135){
id=spruceWoodCupboard;
id2=1;
}else if(myDir >= 135 && myDir < 225){
id=spruceWoodCupboard;
id2=0;
}else if(myDir >= 225 && myDir < 315){
id=spruceWoodCupboard;
id2=3;
}else{
id=spruceWoodCupboard;
id2=2;
}}if(side==1){ //top
setTile(x,y+1,z,id,id2);
addItemInventory(spruceWoodCupboardItem,-1);
}if(side==0){ //bottom
setTile(x,y-1,z,id,id2);
addItemInventory(spruceWoodCupboardItem,-1);
}if(side==2){
if(blockId!==spruceWoodCupboard&&blockDamage!=2){
setTile(x,y,z-1,id,id2);
addItemInventory(spruceWoodCupboardItem,-1);
}}if(side==3){
if(blockId!==spruceWoodCupboard&&blockDamage!=0){
setTile(x,y,z+1,id,id2);
addItemInventory(spruceWoodCupboardItem,-1);
}}if(side==5){
if(blockId!==spruceWoodCupboard&&blockDamage!=1){
setTile(x+1,y,z,id,id2);
addItemInventory(spruceWoodCupboardItem,-1);
}}if(side==4){
if(blockId!==spruceWoodCupboard&&blockDamage!=3){
setTile(x-1,y,z,id,id2);
addItemInventory(spruceWoodCupboardItem,-1);
}}Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.wood",50,0);
}

else if(x,y,z,itemId,blockId,side,itemDamage,blockDamage);
var id;
var ready=true;
if(itemId==acaciaWoodCupboardItem){
preventDefault();
if(ready==true){ 
var id2=0
var myDir = Math.round(Entity.getYaw(Player.getEntity())%360);
if(myDir<0)
myDir = myDir + 360;
if(myDir >= 45 && myDir < 135){
id=acaciaWoodCupboard;
id2=1;
}else if(myDir >= 135 && myDir < 225){
id=acaciaWoodCupboard;
id2=0;
}else if(myDir >= 225 && myDir < 315){
id=acaciaWoodCupboard;
id2=3;
}else{
id=acaciaWoodCupboard;
id2=2;
}}if(side==1){ //top
setTile(x,y+1,z,id,id2);
addItemInventory(acaciaWoodCupboardItem,-1);
}if(side==0){ //bottom
setTile(x,y-1,z,id,id2);
addItemInventory(acaciaWoodCupboardItem,-1);
}if(side==2){
if(blockId!==acaciaWoodCupboard&&blockDamage!=2){
setTile(x,y,z-1,id,id2);
addItemInventory(acaciaWoodCupboardItem,-1);
}}if(side==3){
if(blockId!==acaciaWoodCupboard&&blockDamage!=0){
setTile(x,y,z+1,id,id2);
addItemInventory(acaciaWoodCupboardItem,-1);
}}if(side==5){
if(blockId!==acaciaWoodCupboard&&blockDamage!=1){
setTile(x+1,y,z,id,id2);
addItemInventory(acaciaWoodCupboardItem,-1);
}}if(side==4){
if(blockId!==acaciaWoodCupboard&&blockDamage!=3){
setTile(x-1,y,z,id,id2);
addItemInventory(acaciaWoodCupboardItem,-1);
}}Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.wood",50,0);
}

else if(x,y,z,itemId);
if(itemId==binItem&&side==1){
setTile(x,y+1,z,binId,0);
addItemInventory(binItem,-1);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.stone",50,0);
}
else if(x,y,z,itemId);
if(itemId==fridgeItem&&side==1){
setTile(x,y+1,z,fridge,0);
setTile(x,y+2,z,fridge,0);
addItemInventory(fridgeItem,-1);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.stone",50,0);
}
else if(x,y,z,itemId);
if(itemId==kitchenCounterItem){
setTile(x,y+1,z,kitchenCounter,0);
addItemInventory(kitchenCounterItem,-1);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.stone",50,0);
}
else if(x,y,z,itemId);
if(itemId==ovenRangehoodItem){
setTile(x,y+2,z,ovenRangehoodTop);
setTile(x,y+1,z,ovenRangehoodBottom);
addItemInventory(ovenRangehoodItem,-1);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.stone",50,0);
}
else if(x,y,z,itemId);
if(itemId==stonePathItem&&side==1){
setTile(x,y+1,z,stonePath);
addItemInventory(stonePathItem,-1);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.stone",50,0);
}
else if(x,y,z,itemId);
if(itemId==stoneTableItem&&side==1){
setTile(x,y+4,z,stoneTableLeg);
setTile(x,y+1,z,stoneTable);
addItemInventory(stoneTableItem,-1);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.stone",50,0);
}
else if(x,y,z,itemId);
if(itemId==televisionItem){
setTile(x,y+1,z,television);
addItemInventory(televisionItem,-1);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.wood",50,0);
}
else if(x,y,z,itemId);
if(itemId==woodenTableItem&&side==1){
setTile(x,y+4,z,oakWoodTableLeg);
setTile(x,y+1,z,oakWoodTable);
addItemInventory(woodenTableItem,-1);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.wood",50,0);
}
else if(x,y,z,itemId);
if(itemId==laptopItem&&side==1){
setTile(x,y+1,z+1,laptopScreen);
setTile(x,y+1,z,laptopKeyboard);
addItemInventory(laptopItem,-1);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.stone",50,0);
}

//Don't place blocks

else if(x,y,z,blockId);
if(blockId==binId&&itemId==binItem){
setTile(x,y+1,z,0);
setTile(x,y+2,z,0);
}
else if(x,y,z,blockId,itemId);
if(blockId==choppingBoard&&itemId==choppingBoardItem){
setTile(x,y+1,z,0);
addItemInventory(choppingBoardItem,1);
}
else if(x,y,z,blockId,itemId);
if(blockId==fridge&&itemId==fridgeItem){
setTile(x,y+2,z,0);
addItemInventory(fridgeItem,1);
}
else if(x,y,z,blockId,itemId);
if(blockId==kitchenCounter&&itemId==kitchenCounterItem){
setTile(x,y+1,z,0);
addItemInventory(kitchenCounterItem,1);
}
else if(x,y,z,blockId,itemId);
if(blockId==microwave&&itemId==microwaveItem){
setTile(x,y+1,z,0);
addItemInventory(microwaveItem,1);
}
else if(x,y,z,blockId,itemId);
if(blockId==stereo&&itemId==stereoItem){
setTile(x,y+1,z,0);
addItemInventory(stereoItem,1);
}
else if(x,y,z,blockId,itemId);
if(blockId==stonePath&&itemId==stonePathItem){
setTile(x,y+1,z,0);
addItemInventory(stonePathItem,1);
}
else if(x,y,z,blockId,itemId);
if(blockId==television&&itemId==televisionItem){
setTile(x,y+1,z,0);
addItemInventory(televisionItem,1);
}
else if(x,y,z,blockId,itemId);
if(blockId==televisionOn&&itemId==televisionItem){
setTile(x,y+1,z,0);
addItemInventory(televisionItem,1);
}

//Bin

else if(x,y,z,blockId);
if(blockId==binId){
setTile(x,y+1,z,0);
setTile(x,y+2,z,0);
Entity.setCarriedItem(Player.getEntity(),0,0,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"pocketdecoration.bin",50,0);
}

//Doorbell

else if(x,y,z,blockId);
if(blockId==doorbell){
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"pocketdecoration.doorbell",50,0);
}

//Stereo

else if(x,y,z,itemId,blockId);
if(blockId==stereo){
var sound = Math.floor((Math.random()*7)+1);
if(sound==1){
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"note.bass",50,0);
Level.addParticle(ParticleType.note,x,y+1,z,0,0,0,150);
}
if(sound==2){
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"note.bassattack",50,0);
Level.addParticle(ParticleType.note,x,y+1,z,0,0,0,150);
}
if(sound==3){
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"note.bd",50,0);
Level.addParticle(ParticleType.note,x,y+1,z,0,0,0,150);
}
if(sound==4){
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"note.harp",50,0);
Level.addParticle(ParticleType.note,x,y+1,z,252,6,6);
}
if(sound==5){
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"note.hat",50,0);
Level.addParticle(ParticleType.note,x,y+1,z,0,0,0,150);
}
if(sound==6){
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"note.pling",50,0);
Level.addParticle(ParticleType.note,x,y+1,z,0,0,0,150);
}
if(sound==7){
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"note.snare",50,0);
Level.addParticle(ParticleType.note,x,y+1,z,0,0,0,150);
}
}

//Fridge

else if(x,y,z,blockId,itemId);
if(blockId==fridge&&itemId==320){
addItemInventory(319,1);
addItemInventory(320,-1);
}
else if(x,y,z,blockId,itemId);
if(blockId==fridge&&itemId==364){
addItemInventory(363,1);
addItemInventory(364,-1);
}
else if(x,y,z,blockId,itemId);
if(blockId==fridge&&itemId==366){
addItemInventory(365,1);
addItemInventory(366,-1);
}

//Microwave

else if(x,y,z,blockId,itemId);
if(blockId==microwave&&itemId==392){
addItemInventory(393,1);
addItemInventory(392,-1);
Level.addParticle(ParticleType.smoke,x,y,z,0,0,0,150);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"random.fizz",50,0);
}

//Oven

else if(x,y,z,blockId,itemId);
if(blockId==oven&&itemId==319){
addItemInventory(320,1);
addItemInventory(319,-1);
Level.addParticle(ParticleType.smoke,x,y,z,0,0,0,150);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"random.fizz",50,0);
}
else if(x,y,z,blockId,itemId);
if(blockId==oven&&itemId==363){
addItemInventory(364,1);
addItemInventory(363,-1);
Level.addParticle(ParticleType.smoke,x,y,z,0,0,0,150);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"random.fizz",50,0);
}
else if(x,y,z,blockId,itemId);
if(blockId==oven&&itemId==365){
addItemInventory(366,1);
addItemInventory(365,-1);
Level.addParticle(ParticleType.smoke,x,y,z,0,0,0,150);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"random.fizz",50,0);
}

//Laptop

//Modem placement

else if(x,y,z,blockId,itemId);
if(blockId==laptopScreen&&getTile(x+1,y,z-1)==modem){
clientMessage("§aThe laptop has WIFI signal!");
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"random.orb",50,0);
}

else if(x,y,z,blockId,itemId);
if(blockId==laptopScreen&&getTile(x-1,y,z-1)==modem){
clientMessage("§aThe laptop has WIFI signal!");
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"random.orb",50,0);
}

//Buy sistem

else if(x,y,z,blockId,itemId);
if(blockId==laptopScreen&&itemId==coinItem&&getTile(x+1,y,z-1)==modem){
addItemInventory(coinItem,-1,0);
addItemInventory(265,3,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"pocketdecoration.money",50,0);
}

else if(x,y,z,blockId,itemId);
if(blockId==laptopScreen&&itemId==coinItem&&getTile(x-1,y,z-1)==modem){
addItemInventory(coinItem,-1,0);
addItemInventory(265,3,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"pocketdecoration.money",50,0);
}

//Ceiling Light

else if(itemId==ceilingLightItem){
if(side==0){
setTile(x,y-1,z,ceilingLight);
addItemInventory(ceilingLightItem,-1);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.stone",50,0);
}
}
	
//Present
	
else if(x,y,z,itemId);
if(itemId==presentItem&&side==1){
setTile(x,y+1,z,present);
addItemInventory(presentItem,-1);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.cloth",50,0);
}

//Garden Light

else if(x,y,z,itemId);
if(itemId==gardenLightItem&&side==1){
setTile(x,y+1,z,gardenLight);
addItemInventory(gardenLightItem,-1);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.stone",50,0);
}

//Mouse Pad

else if(itemId==mousepadItem&&side==1){
if(side==1){
setTile(x,y+1,z,mousepad);
addItemInventory(mousepadItem,-1);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.cloth",50,0);
}
}

//Curtains

else if(x,y,z,itemId);
if(blockId==curtains&&blockDamage==0){
setTile(x,y,z,curtainsClosed,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.cloth",50,0);
}

else if(x,y,z,itemId);
if(blockId==curtains&&blockDamage==1){
setTile(x,y,z,curtainsClosed,1);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.cloth",50,0);
}

else if(x,y,z,itemId);
if(blockId==curtains&&blockDamage==2){
setTile(x,y,z,curtainsClosed,2);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.cloth",50,0);
}

else if(x,y,z,itemId);
if(blockId==curtains&&blockDamage==3){
setTile(x,y,z,curtainsClosed,3);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.cloth",50,0);
}


else if(x,y,z,itemId);
if(blockId==curtainsClosed&&blockDamage==0){
setTile(x,y,z,curtains,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.cloth",50,0);
}

else if(x,y,z,itemId);
if(blockId==curtainsClosed&&blockDamage==1){
setTile(x,y,z,curtains,1);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.cloth",50,0);
}

else if(x,y,z,itemId);
if(blockId==curtainsClosed&&blockDamage==2){
setTile(x,y,z,curtains,2);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.cloth",50,0);
}

else if(x,y,z,itemId);
if(blockId==curtainsClosed&&blockDamage==3){
setTile(x,y,z,curtains,3);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.cloth",50,0);
}
}

/*---Destroy Block---*/

function destroyBlock(x,y,z,blockId,itemId){
var blockId = Level.getTile(x,y,z);
if(blockId==fridge&&getTile(x,y-1,z)==fridge)
{
Level.setTile(x,y-1,z,0,0);
setTile(x,y,z,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.stone",50,0);
if(Level.getGameMode()==0)
{
Level.dropItem(x,y,z,0,fridgeItem,1,0);
}
}
else if(blockId==fridge&&getTile(x,y+1,z)==fridge)
{
Level.setTile(x,y+1,z,0,0);
setTile(x,y,z,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.stone",50,0);
if(Level.getGameMode()==0)
{
Level.dropItem(x,y,z,0,fridgeItem,1,0);
}
}

else if(blockId==ovenRangehoodTop&&getTile(x,y-1,z)==ovenRangehoodBottom)
{
Level.setTile(x,y-1,z,0,0);
setTile(x,y,z,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.stone",50,0);
if(Level.getGameMode()==0)
{
Level.dropItem(x,y,z,0,ovenRangehoodItem,1,0);
}
}
else if(blockId==ovenRangehoodBottom&&getTile(x,y+1,z)==ovenRangehoodTop)
{
Level.setTile(x,y+1,z,0,0);
setTile(x,y,z,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.stone",50,0);
if(Level.getGameMode()==0)
{
Level.dropItem(x,y,z,0,ovenRangehoodItem,1,0);
}
}

else if(blockId==stoneTable&&getTile(x,y+3,z)==stoneTableLeg)
{
Level.setTile(x,y+3,z,0,0);
setTile(x,y,z,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.stone",50,0);
if(Level.getGameMode()==0)
{
Level.dropItem(x,y,z,0,stoneTableItem,1,0);
}
}
else if(blockId==stoneTableLeg&&getTile(x,y-3,z)==stoneTable)
{
Level.setTile(x,y-3,z,0,0);
setTile(x,y,z,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.stone",50,0);
if(Level.getGameMode()==0)
{
Level.dropItem(x,y,z,0,stoneTableItem,1,0);
}
}

else if(blockId==oakWoodTable&&getTile(x,y+3,z)==oakWoodTableLeg)
{
Level.setTile(x,y+3,z,0,0);
setTile(x,y,z,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.wood",50,0);
if(Level.getGameMode()==0)
{
Level.dropItem(x,y,z,0,woodenTableItem,1,0);
}
}
else if(blockId==oakWoodTableLeg&&getTile(x,y-3,z)==oakWoodTable)
{
Level.setTile(x,y-3,z,0,0);
setTile(x,y,z,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.wood",50,0);
if(Level.getGameMode()==0)
{
Level.dropItem(x,y,z,0,woodenTableItem,1,0);
}
}

else if(blockId==laptopScreen&&getTile(x,y,z-1)==laptopKeyboard)
{
setTile(x,y,z-1,0,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.stone",50,0);
if(Level.getGameMode()==0)
{
Level.dropItem(x,y,z,0,laptopItem,1,0);
}
}
else if(blockId==laptopKeyboard&&getTile(x,y,z+1)==laptopScreen)
{
setTile(x,y,z+1,0,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.stone",50,0);
if(Level.getGameMode()==0)
{
Level.dropItem(x,y,z,0,laptopItem,1,0);
}
}

else if(blockId==binId&&Level.getGameMode()==0)
{
setTile(x,y,z,0);
Level.dropItem(x,y,z,0,binItem,1,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.stone",50,0);
}
else if(blockId==oakWoodCabinet&&Level.getGameMode()==0)
{
setTile(x,y,z,0);
Level.dropItem(x,y,z,0,oakWoodCabinetItem,1,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.wood",50,0);
}
else if(blockId==choppingBoard&&Level.getGameMode()==0)
{
setTile(x,y,z,0);
Level.dropItem(x,y,z,0,choppingBoardItem,1,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.wood",50,0);
}
else if(blockId==kitchenCabinet&&Level.getGameMode()==0)
{
setTile(x,y,z,0);
Level.dropItem(x,y,z,0,kitchenCabinetItem,1,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.stone",50,0);
}
else if(blockId==kitchenCounter&&Level.getGameMode()==0)
{
setTile(x,y,z,0);
Level.dropItem(x,y,z,0,kitchenCounterItem,1,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.stone",50,0);
}
else if(blockId==microwave&&Level.getGameMode()==0)
{
setTile(x,y,z,0);
Level.dropItem(x,y,z,0,microwaveItem,1,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.stone",50,0);
}
else if(blockId==oven&&Level.getGameMode()==0)
{
setTile(x,y,z,0);
Level.dropItem(x,y,z,0,ovenItem,1,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.stone",50,0);
}
else if(blockId==stereo&&Level.getGameMode()==0)
{
setTile(x,y,z,0);
Level.dropItem(x,y,z,0,stereoItem,1,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.wood",50,0);
}
else if(blockId==stonePath&&Level.getGameMode()==0)
{
setTile(x,y,z,0);
Level.dropItem(x,y,z,0,stonePathItem,1,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.stone",50,0);
}
else if(blockId==television&&Level.getGameMode()==0)
{
setTile(x,y,z,0);
Level.dropItem(x,y,z,0,televisionItem,1,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.wood",50,0);
}
else if(blockId==televisionOn&&Level.getGameMode()==0)
{
setTile(x,y,z,0);
Level.dropItem(x,y,z,0,televisionItem,1,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.wood",50,0);
}
else if(blockId==spruceWoodCabinet&&Level.getGameMode()==0)
{
setTile(x,y,z,0);
Level.dropItem(x,y,z,0,spruceWoodCabinetItem,1,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.wood",50,0);
}
else if(blockId==acaciaWoodCabinet&&Level.getGameMode()==0)
{
setTile(x,y,z,0);
Level.dropItem(x,y,z,0,acaciaWoodCabinetItem,1,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.wood",50,0);
}
else if(blockId==doorbell&&Level.getGameMode()==0)
{
setTile(x,y,z,0);
Level.dropItem(x,y,z,0,doorbellItem,1,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.wood",50,0);
}
else if(blockId==gardenLight&&Level.getGameMode()==0)
{
setTile(x,y,z,0);
Level.dropItem(x,y,z,0,gardenLightItem,1,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.stone",50,0);
}
else if(blockId==ceilingLight&&Level.getGameMode()==0)
{
setTile(x,y,z,0);
Level.dropItem(x,y,z,0,ceilingLightItem,1,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"random.glass",50,0);
}
else if(blockId==oakWoodBedsideCabinet&&Level.getGameMode()==0)
{
setTile(x,y,z,0);
Level.dropItem(x,y,z,0,oakWoodBedsideCabinetItem,1,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.wood",50,0);
}
else if(blockId==spruceWoodBedsideCabinet&&Level.getGameMode()==0)
{
setTile(x,y,z,0);
Level.dropItem(x,y,z,0,spruceWoodBedsideCabinetItem,1,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.wood",50,0);
}
else if(blockId==acaciaWoodBedsideCabinet&&Level.getGameMode()==0)
{
setTile(x,y,z,0);
Level.dropItem(x,y,z,0,acaciaWoodBedsideCabinetItem,1,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.wood",50,0);
}
else if(blockId==mirror&&Level.getGameMode()==0)
{
setTile(x,y,z,0);
Level.dropItem(x,y,z,0,mirrorItem,1,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.stone",50,0);
}
else if(blockId==curtains&&Level.getGameMode()==0)
{
setTile(x,y,z,0);
Level.dropItem(x,y,z,0,curtainsItem,1,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.cloth",50,0);
}
else if(blockId==curtainsClosed&&Level.getGameMode()==0)
{
setTile(x,y,z,0);
Level.dropItem(x,y,z,0,curtainsItem,1,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.cloth",50,0);
}
else if(blockId==mousepad&&Level.getGameMode()==0)
{
setTile(x,y,z,0);
Level.dropItem(x,y,z,0,mousepadItem,1,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.cloth",50,0);
}
else if(blockId==fileCabinet&&Level.getGameMode()==0)
{
setTile(x,y,z,0);
Level.dropItem(x,y,z,0,fileCabinetItem,1,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.stone",50,0);
}
else if(blockId==modem&&Level.getGameMode()==0)
{
setTile(x,y,z,0);
Level.dropItem(x,y,z,0,modemItem,1,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.stone",50,0);
}
else if(blockId==woodTimber&&Level.getGameMode()==0)
{
setTile(x,y,z,0);
Level.dropItem(x,y,z,0,woodTimberItem,1,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.wood",50,0);
}
else if(blockId==spruceWoodTimber&&Level.getGameMode()==0)
{
setTile(x,y,z,0);
Level.dropItem(x,y,z,0,spruceWoodTimberItem,1,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.wood",50,0);
}
else if(blockId==acaciaWoodTimber&&Level.getGameMode()==0)
{
setTile(x,y,z,0);
Level.dropItem(x,y,z,0,acaciaWoodTimberItem,1,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.wood",50,0);
}
else if(blockId==cupboard&&Level.getGameMode()==0)
{
setTile(x,y,z,0);
Level.dropItem(x,y,z,0,cupboardItem,1,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.wood",50,0);
}
else if(blockId==spruceWoodCupboard&&Level.getGameMode()==0)
{
setTile(x,y,z,0);
Level.dropItem(x,y,z,0,spruceWoodCupboardItem,1,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.wood",50,0);
}
else if(blockId==acaciaWoodCupboard&&Level.getGameMode()==0)
{
setTile(x,y,z,0);
Level.dropItem(x,y,z,0,acaciaWoodCupboardItem,1,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.wood",50,0);
}

//Stained glass

else if(blockId==stainedGlass)
{
setTile(x,y,z,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"random.glass",50,0);
}

//Present

else if(x,y,z,itemId,blockId);
if(blockId==present){
var giftToDrop = Math.floor((Math.random()*8)+1);
if(giftToDrop==1){
Level.dropItem(x,y,z,0,302,1,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.cloth",50,0);
}
if(giftToDrop==2){
Level.dropItem(x,y,z,0,304,1,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.cloth",50,0);
}
if(giftToDrop==3){
Level.dropItem(x,y,z,0,272,1,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.cloth",50,0);
}
if(giftToDrop==4){
Level.dropItem(x,y,z,0,261,1,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.cloth",50,0);
}
if(giftToDrop==5){
Level.dropItem(x,y,z,0,260,5,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.cloth",50,0);
}
if(giftToDrop==6){
Level.dropItem(x,y,z,0,366,5,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.cloth",50,0);
}
if(giftToDrop==7){
Level.dropItem(x,y,z,0,351,1,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.cloth",50,0);
}
if(giftToDrop==8){
Level.dropItem(x,y,z,0,359,1,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"dig.cloth",50,0);
}
}
}

//Redstone

function redstoneUpdateHook(x,y,z,newCurrent,worldLoading,blockId,blockDamage){

if(blockId == television && newCurrent > 0){
Level.setTile(x,y,z,televisionOn);
clientMessage("§aYou turned on the TV!");
}
if(blockId == televisionOn && newCurrent == 0){
Level.setTile(x,y,z,television);
clientMessage("§cYou turned off the TV!");
}

//Stereo

if(blockId == stereo && newCurrent > 0){
var sound = Math.floor((Math.random()*7)+1);
if(sound==1){
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"note.bass",50,0);
Level.addParticle(ParticleType.note,x,y+1,z,0,0,0,150);
}
if(sound==2){
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"note.bassattack",50,0);
Level.addParticle(ParticleType.note,x,y+1,z,0,0,0,150);
}
if(sound==3){
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"note.bd",50,0);
Level.addParticle(ParticleType.note,x,y+1,z,0,0,0,150);
}
if(sound==4){
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"note.harp",50,0);
Level.addParticle(ParticleType.note,x,y+1,z,0,0,0,150);
}
if(sound==5){
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"note.hat",50,0);
Level.addParticle(ParticleType.note,x,y+1,z,0,0,0,150);
}
if(sound==6){
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"note.pling",50,0);
Level.addParticle(ParticleType.note,x,y+1,z,0,0,0,150);
}
if(sound==7){
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"note.snare",50,0);
Level.addParticle(ParticleType.note,x,y+1,z,0,0,0,150);
}
}
}

//Coin drop

function deathHook(m,v){
if(Entity.getEntityTypeId(v)===EntityType.ZOMBIE&&Math.round(Math.random()*8)===1){
Level.dropItem(Entity.getX(v),Entity.getY(v),Entity.getZ(v),0,coinItem,0,3);
}
if(Entity.getEntityTypeId(v)===EntityType.ZOMBIE&&Math.round(Math.random()*8)===2){
Level.dropItem(Entity.getX(v),Entity.getY(v),Entity.getZ(v),0,coinItem,0,2);
}
if(Entity.getEntityTypeId(v)===EntityType.ZOMBIE&&Math.round(Math.random()*8)===3){
Level.dropItem(Entity.getX(v),Entity.getY(v),Entity.getZ(v),0,coinItem,0,1);
}
if(Entity.getEntityTypeId(v)===EntityType.ZOMBIE&&Math.round(Math.random()*8)===4){
}
if(Entity.getEntityTypeId(v)===EntityType.ZOMBIE&&Math.round(Math.random()*8)===5){
}
if(Entity.getEntityTypeId(v)===EntityType.ZOMBIE&&Math.round(Math.random()*8)===6){
}
if(Entity.getEntityTypeId(v)===EntityType.ZOMBIE&&Math.round(Math.random()*8)===7){
}
if(Entity.getEntityTypeId(v)===EntityType.ZOMBIE&&Math.round(Math.random()*8)===8){
}
}